<?php
namespace Elementor;
use Rekko\Elementor_widgets\Custom_Post_Data;
if ( ! defined( 'ABSPATH' ) ) exit;
class Button_Controls
{
	public function get_btn_controls($obj)
	{
		$custom_post  = new Custom_Post_Data();
		$obj->add_control(
			'button_text',
			[
				'label' => __( 'Button Text', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Click Here', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
        );

        $obj->add_control(
			'btn_link',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'https://your-link.com', 'rekko-core' ),
				'separator' => 'before',
			]
		);



        $obj->add_responsive_control(
			'button_text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'default'    => 'left',
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
		 		],
		 		'selectors' => [
					'{{WRAPPER}} .qwords-btn-container' => 'text-align: {{VALUE}};',
				]
			]
        );

		$obj->end_controls_section();


		// Button Style Section
		$obj->start_controls_section(
			'section_y8ubBfbAH1e2VwpN5be9',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,

			]
		);
		$obj->add_control(
			'btn_style',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'btn-flat',
				'options' => [
					'btn-flat'  => __( 'Flat', 'rekko-core' ),
					'btn-outline' => __( 'Outline', 'rekko-core' ),
					'btn-link' => __( 'Link', 'rekko-core' ),

				],
			]
		);



		$obj->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'content_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-button span.text',
			]
		);
		$obj->start_controls_tabs( 'tabs_button_style' );
		$obj->start_controls_tab(
			'tab_button_normal',
			[
				'label' => __( 'Normal', 'rekko-core' ),
			]
		);
		$obj->add_control(
			'button_text_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .qwords-button span.text , {{WRAPPER}} .qwords-button i' => 'color: {{VALUE}};',
				],
			]
		);

		$obj->add_control(
			'background_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-btn-container .qwords-button' => 'background: {{VALUE}};',
				],
			]
		);


		$obj->end_controls_tab();
		$obj->start_controls_tab(
			'tab_button_hover',
			[
				'label' => __( 'Hover', 'rekko-core' ),
			]
		);
		$obj->add_control(
			'hover_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover span.text , {{WRAPPER}} .qwords-button:hover i' => 'color: {{VALUE}};',
				],
			]
		);

		$obj->add_control(
			'button_background_hover_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover' => 'background-color: {{VALUE}};',
				],
			]
		);



		$obj->end_controls_tab();
		$obj->end_controls_tabs();
		$obj->end_controls_section();
	}
	public function get_slider_btn_controls($obj)
	{
		$custom_post  = new Custom_Post_Data();

        $obj->add_control(
			'button_text',
			[
				'label' => __( 'Button Text', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Click Here', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
        );
        
        $obj->add_responsive_control(
			'button_text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'default'    => 'left',
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
		 		],
		 		'selectors' => [
					'{{WRAPPER}} .qwords-btn-container' => 'text-align: {{VALUE}};',
				]
			]
        );

		$obj->end_controls_section();


		// Button Style Section
		$obj->start_controls_section(
			'section_y8ubBfbAH1e2VwpN5be9',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,

			]
		);
		$obj->add_control(
			'btn_style',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'btn-flat',
				'options' => [
					'btn-flat'  => __( 'Flat', 'rekko-core' ),
					'btn-outline' => __( 'Outline', 'rekko-core' ),
					'btn-link' => __( 'Link', 'rekko-core' ),

				],
			]
		);



		$obj->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'content_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-button span.text',
			]
		);
		$obj->start_controls_tabs( 'tabs_button_style' );
		$obj->start_controls_tab(
			'tab_button_normal',
			[
				'label' => __( 'Normal', 'rekko-core' ),
			]
		);
		$obj->add_control(
			'button_text_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .qwords-button span.text , {{WRAPPER}} .qwords-button i' => 'color: {{VALUE}};',
				],
			]
		);

		$obj->add_control(
			'background_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-btn-container .qwords-button' => 'background: {{VALUE}};',
				],
			]
		);


		$obj->end_controls_tab();
		$obj->start_controls_tab(
			'tab_button_hover',
			[
				'label' => __( 'Hover', 'rekko-core' ),
			]
		);
		$obj->add_control(
			'hover_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover span.text , {{WRAPPER}} .qwords-button:hover i' => 'color: {{VALUE}};',
				],
			]
		);

		$obj->add_control(
			'button_background_hover_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover' => 'background-color: {{VALUE}};',
				],
			]
		);



		$obj->end_controls_tab();
		$obj->end_controls_tabs();
		$obj->end_controls_section();
	}

}
