<?php
namespace Elementor; 

use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;

 if ( ! defined( 'ABSPATH' ) ) exit; 
 class Blog extends Widget_Base {
 	public function get_name() {
 		return __( 'blog', 'rekko-core' );
 	}
	
 	public function get_title() {
 		return __( 'Rekko Blog', 'rekko-core' );
 	}
 	public function get_categories() {
 		return [ SCEW::get_category() ];
    }
     
	
// 	/**
// 	 * Get widget icon.
// 	 *
// 	 * Retrieve counter widget icon.
// 	 *
// 	 * @since 1.0.0
// 	 * @access public
// 	 *
// 	 * @return string Widget icon.
// 	 */
 	public function get_icon() {
 		return 'eicon-post';
 	}
 	protected function register_controls() {
 		$this->start_controls_section(
 			'section_slider1',
 			[
				'label' => __( 'rekko Blog', 'rekko-core' ),
 			]
 		);
		

		$this->add_control(
			'blog_style',
			[
				'label'      => __( 'Choose Image/Icon', 'rekko-core' ),
				'type'       => Controls_Manager::SELECT,
				'default'    => '0',
				'options'    => [
					'0'       => __( 'Slider', 'rekko-core' ),
				    '1'          => __( '1 Column', 'rekko-core' ),
					'2'          => __( '2 Column', 'rekko-core' ),
					'3'          => __( '3 Column', 'rekko-core' ),
					
				],
			]
		);


		 
        $this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
                'type' => Controls_Manager::CHOOSE,
                'separator' => 'after',
                'default' => __( 'left', 'rekko-core' ),
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				]
			]
		);
           
         $this->add_control(
			'des_button',
			[
				'label' => __( 'Show description', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'yes' => __( 'yes', 'rekko-core' ),
				'no' => __( 'no', 'rekko-core' ),
				'return_value' => 'yes',
			]
        );  
		
        
        $this->end_controls_section();

        

		$this->start_controls_section(
			'section_controls',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
				'condition' => [
					'blog_style' => ['0'],
				]
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
 		$this->end_controls_section();



       $this->start_controls_section(
			'section__2p897Z1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'head_date',
			[
				'label' => __( 'Date/Author', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'd_typography',
				'label' => __( 'Date Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li',
				              
			]
		);


		$this->add_control(

			'date_color',
			[
				'label' => __( 'Date Colors', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li' => 'color: {{VALUE}};',
					
					
		 		],
				
				    
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'a_typography',
				'label' => __( 'Author Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li a',
				              
			]
		);

		$this->add_control(

			'admin_color',
			[
				'label' => __( 'Author Colors', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li a' => 'color: {{VALUE}};',
					
					
		 		],
				
				    
			]
		);

		$this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-blog-post .qwords-blog-contain .qwords-blog-title a'
				
			]
		);

		 $this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-blog-contain .qwords-blog-title a' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

            $this->add_control(
			'htitle_color',
			[
				'label' => __( 'Hover Title Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-blog-contain .qwords-blog-title a:hover' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);
		
		$this->add_control(
			'head_desc',
			[
				'label' => __( 'Description', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);


		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'descrition_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-blog-post .qwords-blog-contain .qwords-blog-info',
			]
		);
		
		$this->add_control(
			'desc_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-blog-contain .qwords-blog-info' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

		$this->end_controls_section();
        
        $this->start_controls_section(
			'section__2p08c8',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

         $this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

         $this->add_responsive_control(
			'font_size_5128329087',
			[
				'label' => __( 'Admin/Date Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);

		$this->add_control(

			'admincaticon_color',
			[
				'label' => __( 'Admin/Date Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-blog-post .qwords-post-meta ul li i' => 'color: {{VALUE}};',
					
					
		 		],
				
				    
			]
		);

		
		
		 $this->end_controls_section();

         
          //START BUTTON

         $this->start_controls_section(
			'section_Jnza43wt8d8976H5b77duo',
			[
				'label' => __( 'BLOG Button', 'rekko-core' ),
			]
		);
		$btn = new Button_Controls();
		$btn->get_slider_btn_controls($this);
		
 		 // Button End

		$this->start_controls_section(
			'section__dgxgsatZ1xx',
			[
				'label' => __( 'Slider Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
				'condition' => [
					'blog_style' => ['0'],
				]
			]
		);  

		$slider = new Slider_Controls();
		$slider->slider_style($this);

		$this->end_controls_section();
        
   }
	
	protected function render() {
		$settings = $this->get_settings();
		if($settings['blog_style'] == '0')
		{
       	require plugin_dir_path( __FILE__ ) . 'style-1-slider.php';
       }
       if($settings['blog_style'] == '1' || $settings['blog_style'] == '2' ||  
		  $settings['blog_style'] == '3')
		{
			       	require plugin_dir_path( __FILE__ ) . 'style-2-grid.php';

		}
        

        if ( Plugin::$instance->editor->is_edit_mode() ) : 
		$slider = new Slider_Controls();
		$slider->load_owl_js();
		endif; 
  }	    
		
 }
 Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Blog() );