<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 

class Client extends Widget_Base {

	public function get_name() {
		return __( 'client', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Client', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }
   

	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-lock-user';
	}
	protected function register_controls(){

		$this->start_controls_section(
			'section248452',
			[
				'label' => __( 'Style', 'rekko-core' ),
			]
		);
		
      $this->add_control(
			'client_style',
			[
				'label' => __( 'Client Style', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => '1',
				'options' => [
					'1'  => __( 'Style 1', 'rekko-core' ),	
				],
			]
		);


    $this->end_controls_section();
		$this->start_controls_section(
			'section_asdfsd',
			[
				'label' => __( 'Client', 'rekko-core' ),
			]
		);	

		$this->add_control(
			'custom_dimension',
			[
				'label' => __( 'Image Dimension', 'rekko-core' ),
				'type' => Controls_Manager::IMAGE_DIMENSIONS,
				'description' => __( 'Crop the original image size to any custom size. Set custom width or height to keep the original size ratio.', 'plugin-name' ),
				'default' => [
					'width' => '',
					'height' => '',
				],

			]
		);

		$repeater = new Repeater();
		 
		 $repeater->add_control(
			'image_1',
			[
				'label' => __( 'Image', 'rekko-core' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],

			]
		);
		
		$repeater->add_control(
			'btn_link',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'https://your-link.com', 'rekko-core' ),
				'separator' => 'before',

			]
		);

		 $this->add_control(
			'list_items',
			[
				'label' => __( 'List', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [	
						'image' => Utils::get_placeholder_image_src(),
					],		
			]
		);

     $this->end_controls_section();
  	 $this->start_controls_section(
			'section_control',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
			
	 $this->end_controls_section();  
   

     $this->start_controls_section(
			'section__dgfnklwst',
			[
				'label' => __( 'Slider Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);  

		$slider = new Slider_Controls();
		$slider->slider_style($this);

		$this->end_controls_section();   
    }
	
	protected function render() {

        $settings = $this->get_settings();

        if($settings['client_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}
		
		 if ( Plugin::$instance->editor->is_edit_mode() ) : 
		$slider = new Slider_Controls();
		$slider->load_owl_js($this);
		endif; 

		 
    }	    
		
}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Client() );
