<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;

if ( ! defined( 'ABSPATH' ) ) exit; 
class Fancybox extends Widget_Base {
	public function get_name() {
		return __( 'fancybox', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Fancybox', 'rekko-core' );
	}
	public function get_categories() {
		return [ SCEW::get_category() ];
	}
	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-info-box';
	}
	protected function register_controls() {
		$this->start_controls_section(
			'section_jkhj',
			[
				'label' => __( 'Style', 'rekko-core' ),
			]
		);
		$this->add_control(
			'fancy_style',
			[
				'label' => __( 'Fancybox Style', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => '1',
				'options' => [
					'1'  => __( 'Grid', 'rekko-core' ),
					'2'  => __( 'Slider', 'rekko-core' ),
				],
			]
		);


		$this->end_controls_section();
		$this->start_controls_section(
			'section_image_slider_xhx',
			[
				'label' => __( 'fancy box', 'rekko-core' ),
				'condition' => [
					'fancy_style' => '2',
				],
			]
		);
		$repeater = new Repeater();

		$repeater->add_control(
			'banner_image',
			[
				'label' => __( 'Banner Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],
				
			]
		);

		$repeater->add_control(
			'image_style',
			[
				'label'      => __( 'Choose Image/Icon', 'rekko-core' ),
				'type'       => Controls_Manager::SELECT,
				'default'    => 'none',
				'options'    => [
					'none'       => __( 'None', 'rekko-core' ),
					'1'          => __( 'Image', 'rekko-core' ),
					'2'          => __( 'Icon', 'rekko-core' ),
					
				],

			]
		);

		$repeater->add_control(
			'slider_image',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],				
				'condition' => [
					'image_style' => '1',
				],
			]
		);		

		$repeater->add_control(
			'slider_selected_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-arrow-dropright',
					'library' => 'fa-solid',
				],
				'fa4compatibility' => 'icon',
				'separator' => 'before',
				'condition' => [
					'image_style' => '2',
				]
			]
		);



		$repeater->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is sample title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
		);

		$repeater->add_control(
			'title_tag',
			[
				'label' => __( 'Title Tag', 'plugin-domain' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'h5',
				'options' => [
					'h1'  => 'h1',
					'h2'  => 'h2',
					'h3'  => 'h3',
					'h4'  => 'h4',
					'h5'  => 'h5',
					'h6'  => 'h6',
					'p'  => 'p',
					'span'  => 'span',					
				],				
			]			
		);
		
		$repeater->add_control(
			'description_text',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'type' => Controls_Manager::WYSIWYG,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Enter your Description here', 'rekko-core' ),
				'placeholder' => __( 'Enter your description', 'rekko-core' ),
				'separator' => 'before',
				'rows' => 10,
				'show_label' => true,
			]
		);
		$repeater->add_control(
			'show_button',
			[
				'label' => __( 'Show/Hide button', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'yes' => __( 'yes', 'rekko-core' ),
				'no' => __( 'no', 'rekko-core' ),
			]
		);

		$repeater->add_control(
			'button_text',
			[
				'label' => __( 'Button Text', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( 'Read More', 'rekko-core' ),
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Read More', 'rekko-core' ),
				'label_block' => true,
				'condition'=> [
					'show_button'=> 'yes'
				],
			]
		);

		$repeater->add_control(
			'btn_link',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'https://your-link.com', 'rekko-core' ),
				'separator' => 'before',
				'condition'=> [
					'show_button'=> 'yes'
				],
			]
		); 
		$this->add_control(
			'list_tab',
			[
				'label' => __( 'List', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_text' => __( 'Tab #1', 'rekko-core' ),
					]
				]
			]
		); 
		$this->end_controls_section();
		$this->start_controls_section(
			'section_image_grid',
			[
				'label' => __( 'fancy box', 'rekko-core' ),
				'condition' => [
					'fancy_style' => '1',
				],
			]
		);

		$this->add_control(
			'grid_banner_image',
			[
				'label' => __( 'Banner Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],
				
			]
		);

		$this->add_control(
			'grid_image_style',
			[
				'label'      => __( 'Choose Image/Icon', 'rekko-core' ),
				'type'       => Controls_Manager::SELECT,
				'default'    => 'none',
				'options'    => [
					'none'       => __( 'None', 'rekko-core' ),
					'1'          => __( 'Image', 'rekko-core' ),
					'2'          => __( 'Icon', 'rekko-core' ),
					
				],

			]
		);

		$this->add_control(
			'grid_image',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],				
				'condition' => [
					'image_style' => '1',
				],
			]
		);		

		$this->add_control(
			'grid_selected_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-arrow-dropright',
					'library' => 'fa-solid',
				],
				'fa4compatibility' => 'icon',
				'separator' => 'before',
				'condition' => [
					'image_style' => '2',
				]
			]
		);



		$this->add_control(
			'grid_title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is sample title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
		);

		$this->add_control(
			'grid_title_tag',
			[
				'label' => __( 'Title Tag', 'plugin-domain' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'h5',
				'options' => [
					'h1'  => 'h1',
					'h2'  => 'h2',
					'h3'  => 'h3',
					'h4'  => 'h4',
					'h5'  => 'h5',
					'h6'  => 'h6',
					'p'  => 'p',
					'span'  => 'span',					
				],				
			]			
		);
		
		$this->add_control(
			'grid_description_text',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'type' => Controls_Manager::WYSIWYG,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Enter your Description here', 'rekko-core' ),
				'placeholder' => __( 'Enter your description', 'rekko-core' ),
				'separator' => 'before',
				'rows' => 10,
				'show_label' => true,
			]
		);
		$this->add_control(
			'grid_show_button',
			[
				'label' => __( 'Show/Hide button', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'yes' => __( 'yes', 'rekko-core' ),
				'no' => __( 'no', 'rekko-core' ),
			]
		);

		$this->add_control(
			'grid_button_text',
			[
				'label' => __( 'Button Text', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'default' => __( 'Read More', 'rekko-core' ),
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Read More', 'rekko-core' ),
				'label_block' => true,
				'condition'=> [
					'show_button'=> 'yes'
				],
			]
		);

		$this->add_control(
			'grid_btn_link',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'https://your-link.com', 'rekko-core' ),
				'separator' => 'before',
				'condition'=> [
					'show_button'=> 'yes'
				],
			]
		); 
		$this->end_controls_section();

		$this->start_controls_section(
			'section_sdjdj7duo',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
			]
		);

		$this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'options' => [
					'text-left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'text-center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'text-end' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				],
				'selectors' => [
					'{{WRAPPER}} .pt-service-box' => 'text-align: {{VALUE}}',
				],
			]
		);

		$this->end_controls_section();

		$this->start_controls_section(
			'section_control_xxgrtgxg',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
				'condition' => [
					'fancy_style' => '2',
				],
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
		


		$this->end_controls_section();


		

		 // Style
		$this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-fancy-box-info .qwords-fancy-title,{{WRAPPER}} .qwords-fancy-box .qwords-fancy-box-info .qwords-fancy-box-title',
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-box-info .qwords-fancy-title' => 'color: {{VALUE}};',
					'{{WRAPPER}} .qwords-fancy-box .qwords-fancy-box-info .qwords-fancy-box-title' => 'color: {{VALUE}};',
					
				],
				
				
			]
		);


		$this->add_control(
			'head_desc',
			[
				'label' => __( 'Description', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'description_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-fancy-box-info p',
			]
		);

		$this->add_control(
			'desc_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-box-info p' => 'color: {{VALUE}};',
					
				],
				
				
			]
		);

		$this->end_controls_section();

		$this->start_controls_section(
			'section__2p08Z1',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		); 

		$this->add_control(
			'icon_size_5128328987',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-banner .qwords-fancy-media i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);


		$this->add_control(
			'icon_color',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-banner .qwords-fancy-media i' => 'color: {{VALUE}};',
				],


			]
		);

		$this->add_control(
			'icon_bbg_color',
			[
				'label' => __( 'Before Background Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-banner .qwords-fancy-media i' => 'background-color: {{VALUE}};',
				],


			]
		);

		$this->add_control(
			'icon_abg_color',
			[
				'label' => __( 'After Background Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-fancy-banner .qwords-fancy-media i' => 'background-color: {{VALUE}};',

				],


			]
		);


		$this->end_controls_section();

		 $this->start_controls_section(
			'section_Jnza43dndj6H5b77duo',
			[
				'label' => __( 'Button', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_control(
			'btn_style',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'btn-flat',
				'options' => [
					'btn-flat'  => __( 'Flat', 'rekko-core' ),
					'btn-outline' => __( 'Outline', 'rekko-core' ),
					'btn-link' => __( 'Link', 'rekko-core' ),

				],
			]
		);



		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'content_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-button span.text',
			]
		);
		$this->start_controls_tabs( 'tabs_button_style' );
		$this->start_controls_tab(
			'tab_button_normal',
			[
				'label' => __( 'Normal', 'rekko-core' ),
			]
		);
		$this->add_control(
			'button_text_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .qwords-button span.text , {{WRAPPER}} .qwords-button i' => 'color: {{VALUE}};',
				],
			]
		);

		$this->add_control(
			'background_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-btn-container .qwords-button' => 'background: {{VALUE}};',
				],
			]
		);


		$this->end_controls_tab();
		$this->start_controls_tab(
			'tab_button_hover',
			[
				'label' => __( 'Hover', 'rekko-core' ),
			]
		);
		$this->add_control(
			'hover_color',
			[
				'label' => __( 'Text Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover span.text , {{WRAPPER}} .qwords-button:hover i' => 'color: {{VALUE}};',
				],
			]
		);

		$this->add_control(
			'button_background_hover_color',
			[
				'label' => __( 'Background Color', 'rekko-core' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover' => 'background-color: {{VALUE}};',
				],
			]
		);

		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();

		$this->start_controls_section(
			'section_control_xxgre3gxg',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_style($this);
		


		$this->end_controls_section();

		
		
	}
	
	protected function render() {

		$settings = $this->get_settings();
		if($settings['fancy_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}
		else
		{
			require plugin_dir_path( __FILE__ ) . 'style-2.php';
		}

		if ( Plugin::$instance->editor->is_edit_mode() ) :
			$slider = new Slider_Controls();
			$slider->load_owl_js();
		endif;

	}	    

}
Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Fancybox() );
