<?php
namespace Elementor;
if (!defined('ABSPATH')) {
    exit;
}
$settings = $this->get_settings();
        if($settings['btn_style'] == 'btn-flat')
        {
          $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-flat' );
        }
        if($settings['btn_style'] == 'btn-outline')
        {
          $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-outline' );
        }
        if($settings['btn_style'] == 'btn-link')
        {
          $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-link' );
        }

        $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button' );
        if ( ! empty( $settings['btn_link']['url'] ) )
        {
            $this->add_render_attribute( 'btn_attr', 'href', $settings['btn_link']['url'] );
            if ( $settings['btn_link']['is_external'] ) {
                $this->add_render_attribute( 'btn_attr', 'target', '_blank' );
            }
            if ( ! empty( $settings['btn_link']['nofollow'] ) ) {
                $this->add_render_attribute( 'btn_attr', 'rel', 'nofollow' );
            }
        }
        
        $title_html = $settings['grid_title_text'];
        $image_html = "";
        if ($settings['grid_image_style'] === "1") {
            if (!empty($settings['grid_image']['url'])) {
                $image_html = '<div class="qwords-fancy-media"><i><img src="'.esc_url($settings['grid_image']['url']).'" alt="'.esc_attr(__('fancybox' , 'rekko-core')).'" /></i></div>';
            }
        }
        if ($settings['grid_image_style'] === "2") {
            if (!empty($settings['grid_selected_icon']['value'])) {
                $this->add_render_attribute('selected_icon', 'class', esc_attr($settings['grid_selected_icon']['value']));
                $image_html .= '<div class="qwords-fancy-media">';
                $image_html .= sprintf('<i %1$s></i>', $this->get_render_attribute_string('selected_icon'));
                $image_html .= '</div>';
            }
        }
        if (!empty($settings['grid_title_text'])) {
            $title_html = $settings['grid_title_text'];
        } else {
            $title_html = "This is sample title";
        }
        if (!empty($settings['grid_description_text'])) {
            $desc_html = $this->parse_text_editor($settings['grid_description_text']);
        } else {
            $desc_html = "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
        }

        $title = sprintf('<%1$s class="qwords-fancy-title">%2$s</%1$s>', $settings['grid_title_tag'],$title_html);
        $banner = '<div class="qwords-fancy-banner"><img src="'.esc_url($settings['grid_banner_image']['url']).'" alt="'.esc_attr(__('fancybox' , 'architek-core')).'" />
         '.$image_html.'
        </div>';
        ?>

            <div class="qwords-fancy-box qwords-fancy-box-1 <?php echo esc_attr($settings['text_align']); ?>">
                <?php echo $banner;?>
                <div class="qwords-fancy-box-info">
                    <?php echo $title; 
                    echo $desc_html; ?>
                    <?php if($settings['grid_show_button'] == 'yes'){ ?>
                    <div class="qwords-btn-container">
                        <div class="qwords-button-block">
                            <a <?php echo $this->get_render_attribute_string('btn_attr'); echo $this->get_render_attribute_string('btn_attr'); ?>>
                                <span class="text"><?php echo esc_html($settings['grid_button_text']); ?></span>
                                <i class="ion-plus"></i>
                            </a>
                        </div>  
                    </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
