<?php
namespace Elementor;
if (!defined('ABSPATH')) {
    exit;
}
$settings = $this->get_settings();
$tabs = $this->get_settings_for_display( 'list_tab' );

$slider = new Slider_Controls();
$slider->add_render_attribute($this , $settings);
?>
<div class="qwords-fancy-box qwords-fancy-box-slider-1 <?php echo $settings['text_align']; ?>">
  <div class="owl-carousel" <?php echo $this->get_render_attribute_string('slider'); ?>>
    <?php
    foreach($tabs as $key=>$item)
    {
        
        if ( ! empty( $item['btn_link']['url'] ) )
        {
            $this->add_render_attribute( 'btn_attr'.$key, 'href', $item['btn_link']['url'] );
            if ( $item['btn_link']['is_external'] ) {
                $this->add_render_attribute( 'btn_attr'.$key, 'target', '_blank' );
            }
            if ( ! empty( $item['btn_link']['nofollow'] ) ) {
                $this->add_render_attribute( 'btn_attr'.$key, 'rel', 'nofollow' );
            }
        }        
        $title_html = $item['title_text'];
        $image_html = "";
        if ($item['image_style'] === "1") {
            if (!empty($item['slider_image']['url'])) {
                $image_html = '<div class="qwords-fancy-media"><img src="'.esc_url($item['slider_image']['url']).'" alt="'.esc_attr(__('fancybox' , 'rekko-core')).'" /></div>';
            }
        }
        if ($item['image_style'] === "2") {
            if (!empty($item['slider_selected_icon']['value'])) {
                $image_html = '<div class="qwords-fancy-media"><i class='.esc_attr($item['slider_selected_icon']['value']).'></i></div>';
            }
        }
        if (!empty($item['title_text'])) {
            $title_html = $item['title_text'];
        } else {
            $title_html = "This is sample title";
        }
        if (!empty($item['description_text'])) {
            $desc_html = $this->parse_text_editor($item['description_text']);
        } else {
            $desc_html = "Lorem Ipsum is simply dummy text of the printing and typesetting industry.";
        }

        $title = sprintf('<%1$s class="qwords-fancy-title">%2$s</%1$s>', $item['title_tag'],$title_html);
        $banner = '<div class="qwords-fancy-banner"><img src="'.esc_url($item['banner_image']['url']).'" alt="'.esc_attr(__('fancybox' , 'architek-core')).'" />
        </div>'.$image_html;
    ?>

        <div class="item">
            <div class="qwords-fancy-box qwords-fancy-box-1 <?php echo esc_attr($settings['text_align']); ?>">
                <?php echo $banner; ?>
                <div class="qwords-fancy-box-info">
                    <?php echo $title; 
                    echo $desc_html; 
                    ?>
                    <?php if($item['show_button'] == 'yes'){ 
                    require REKKO_CORE_DIR . '/includes/elementor/widgets/button/style.php';
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php
        }
        ?>
    </div>
</div>
