<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit;  
class rekko_Popup_video extends Widget_Base {
	public function get_name() {
		return __( 'Popup_video', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Popup video', 'rekko-core' );
	}
    public function get_categories() {
		return [ SCEW::get_category() ];
    }
   
	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-instagram-video';
	}
	protected function register_controls() {

		$this->start_controls_section(
			'section248457',
			[
				'label' => __( 'Style', 'rekko-core' ),
			]
		);
		
         $this->add_control(
			'PV_style',
			[
				'label' => __( 'Popup Video Style', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => '1',
				'options' => [
					'1'  => __( 'Style 1', 'rekko-core' ),
					
				],
			]
		);
        $this->end_controls_section();
		
		$this->start_controls_section(
			'section_video',
			[
				'label' => __( 'Popup_video', 'rekko-core' ),
			]
		);
		$this->add_control(
			'image_style',
			[
				'label'      => __( 'Choose Image/Icon', 'rekko-core' ),
				'type'       => Controls_Manager::SELECT,
				'default'    => 'none',
				'options'    => [
					'none'       => __( 'None', 'rekko-core' ),
					'image'          => __( 'Image', 'rekko-core' ),
					'icon'          => __( 'Icon', 'rekko-core' ),
					
				],
				'condition' => [
					'PV_style' => '2',
				],
			]
		);
		$this->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],

				'condition' => [
					'image_style' => 'image',
					'PV_style' => '2',
				],
			]
		);
		$this->add_control(
			'selected_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-play',
					
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
				'condition' => [
					'image_style' => 'icon',
					'PV_style' => ['2'],
				]
			]
		);

		$this->add_control(
			'selected_icon_style_2',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-play',
					
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
				'condition' => [
					'PV_style' => ['1'],
				]
			]
		);
		
		$this->add_control(
			'video_type',
			[
				'label' => __( 'Source', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'video_link',
				'options' => [
					'video_link' => __( 'Link', 'rekko-core' ),					
					'hosted' => __( 'Self Hosted', 'rekko-core' ),
				],
			]
		);
		$this->add_control(
			'self_url',
			[
				'label' => __( 'Choose File', 'rekko-core' ),
				'type' => Controls_Manager::MEDIA,
				
				'media_type' => 'video',
				'condition' => [
					'video_type' => 'hosted',					
				],
			]
		);
		$this->add_control(
			'link_url',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,				
				'placeholder' => __( 'Enter your URL', 'rekko-core' ),
				'default' => 'https://www.youtube.com/watch?v=XHOmBV4js_E',
				'label_block' => true,
				'condition' => [
					'video_type' => 'video_link',
				],
			]
		);
		$this->add_control(
			'colour_elements',
			[
				'label' => __( 'Show Elements', 'plugin-domain' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'default',
				'multiple' => false,
				'options' => [
					'default'  => __( 'default', 'plugin-domain' ),
					'primary' => __( 'primary', 'plugin-domain' ),
				],
				'condition' => [
					'PV_style' => ['1','2'],
				]
			]
		);
		$this->add_control(
			'img',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],
				'condition' => [
					'PV_style' => ['2'],
				]
			]
		);
		$this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
                'type' => Controls_Manager::CHOOSE,
                'separator' => 'after',
                'default' => __( 'text-left', 'rekko-core' ),
				'options' => [
					'text-left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'text-center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'text-right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				],
				
			]
		);
        
        $this->end_controls_section();

        $this->start_controls_section(
			'section__289656',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'plugin-name' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		  );

		$this->add_responsive_control(
			'font_size_5789054287',
			[
				'label' => __( 'Typography', 'plugin-domain' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-popup-video-block .qwords-video-icon i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);


		 $this->add_control(
			'icon_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-popup-video-block .qwords-video-icon i' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

        $this->end_controls_section();
      
	}
	
	protected function render() {
		$settings = $this->get_settings();
        if($settings['PV_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}

        
         if ( Plugin::$instance->editor->is_edit_mode() ) : ?>
		<script>	
		 jQuery('.popup-youtube, .popup-vimeo, .popup-gmaps, .button-play').magnificPopup({
        type: 'iframe',
        mainClass: 'mfp-fade',
        preloader: true,
    });
		</script>
		
		<?php endif; 
    }	    
		
}
Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\rekko_Popup_video() );