<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 

class Rekko_Portfolio_box extends Widget_Base {

	public function get_name() {
		return __( 'rekko_portfolio_info', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Rekko Portfolio Box', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }


	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-editor-list-ul';
	}
	protected function register_controls() {
		$this->start_controls_section(
			'list_section',
			[
				'label' => __( 'Portfolio Box', 'rekko-core' ),
			]
		);

		
		$this->add_control(
			'pf_image',
			[
				'label' => __( 'Image', 'rekko-core' ),
				'type' => Controls_Manager::MEDIA,
				'label_block' => true,
			]
		);

		$this->add_control(
			'pf_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
			]
		);

		$this->add_control(
			'info_cat',
			[
				'label' => __( 'Categories', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'placeholder' => __( 'Category', 'rekko-core' ),	
				'default' => __('Category','rekko-core'),			
				'dynamic' => [
					'active' => true,
				],
			]
		);  
        $this->add_control(
			'info_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'placeholder' => __( 'Title', 'rekko-core' ),				
				'default' => __('Title','rekko-core'),			
				'dynamic' => [
					'active' => true,
				],
			]
		);
       

		$this->end_controls_section();

		// Style
		 $this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-portfolio .qwords-porfolio-info h5',
			]
		);
		 
		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio .qwords-porfolio-info h5' => 'color: {{VALUE}};',
					
					
		 		],
				
				
			]
		);

		$this->add_control(
			'head_cat',
			[
				'label' => __( 'Category', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'cat_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-portfolio .qwords-porfolio-info span',
				 
			]
		);
		
		$this->add_control(
			'cat_title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio .qwords-porfolio-info span' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);
		$this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'icon_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-portfolio .qwords-portfolio-icon i',
			]
		);
		 
		$this->add_control(
			'icon_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio .qwords-portfolio-icon i' => 'color: {{VALUE}};',
					
					
		 		],
				
				
			]
		);

		
		 $this->end_controls_section();

	}
	
	protected function render() {
		$settings = $this->get_settings();
       require plugin_dir_path( __FILE__ ) . 'style-1.php';
    }	    
		
}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Rekko_Portfolio_box() );