<?php
namespace Elementor;
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit;

class Portfolio_grid extends Widget_Base {

	public function get_name() {
		return __( 'portfolio-grid', 'rekko-core' );
	}

	public function get_title() {
		return __( 'portfolio Grid', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }

	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-gallery-grid';
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_sliderasas',
			[
				'label' => __( 'portfolios', 'rekko-core' ),
			]
		);
		$this->add_control(
			'show_filter',
			[
				'label' => __( 'Show Filter-bar', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'block' => __( 'Show', 'your-plugin' ),
				'none' => __( 'Hide', 'your-plugin' ),
				'return_value' => 'none',
				'selectors' => [
						'{{WRAPPER}} .qwords-filters .filters' => 'display: {{VALUE}};',

					],

			]
		);
		$this->add_control(
			'no_padding',
			[
				'label' => __( 'No padding', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => __( 'Show', 'your-plugin' ),
				'label_off' => __( 'Hide', 'your-plugin' ),
				'return_value' => 'no-padding',

			]
		);
		$this->add_control('crop_images',
            array(
                'label'        => esc_html__('Crop Images','thegov-core' ),
                'type'         => Controls_Manager::SWITCHER,
                'label_on'     => esc_html__( 'On', 'thegov-core' ),
                'label_off'    => esc_html__( 'Off', 'thegov-core' ),
                'return_value' => false,

            )
        );
		$this->add_control(
			'crop_height',
			[
				'label' => __( 'height', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your Image height', 'rekko-core' ),
				'label_block' => true,
				// 'condition' => [
				// 	'crop_images' => 'false',
				// ],
			]
		);
		$this->add_control(
			'crop_weight',
			[
				'label' => __( 'weight', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your Image weight', 'rekko-core' ),
				'label_block' => true,
				// 'condition' => [
				// 	'crop_images' => 'false',
				// ],

			]
		);

	$this->add_control(
			'hide_load_more',
			[
				'label' => __( 'Hide Load More', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'none' => __( 'yes', 'your-plugin' ),
				'block' => __( 'no', 'your-plugin' ),
				'return_value' => 'none',
				'selectors' => [
						'{{WRAPPER}} .qwords-btn-load-container' => 'display: {{VALUE}};',

					],

			]
		);
$this->add_control(
			'grid_style',
				[
					'label' => __( 'Grid Style', 'rekko-core' ),
					'type' => Controls_Manager::SELECT,
					'default' => 'qwords-col-3',
					'options' => [
						'qwords-col-6'  => __( 'Two Column', 'rekko-core' ),
						'qwords-col-4'  => __( 'Three Column', 'rekko-core' ),
						'qwords-col-3'  => __( 'Four Column', 'rekko-core' ),
					],

					'selectors' => [
						'{{WRAPPER}} .qwords-button' => 'border-style: {{VALUE}};',

					],
				]
		);
	$this->add_control(
			'initial_items',
			[
				'label' => __( 'Number Item To Show', 'rekko-core' ),
				'type' => Controls_Manager::NUMBER,
				'min' => 1,
				'step' => 1,
				'default' => 5,
			]
		);

	$this->add_control(
			'next_items',
			[
				'label' => __( 'Number Of Item To Load', 'rekko-core' ),
				'type' => Controls_Manager::NUMBER,
				'min' => 1,
				'step' => 1,
				'default' => 5,
			]
		);

	$this->add_control(
			'selected_icon',
			[
				'label' => __('Icon', 'rekko-core'),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-add',
				],
				'fa4compatibility' => 'icon',
				'separator' => 'before',
			]
		);

		$this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
                'type' => Controls_Manager::CHOOSE,
                'separator' => 'after',
                'default' => __( 'left', 'rekko-core' ),
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				],
			
			]
		);

        $this->end_controls_section();

         //START BUTTON

		 $this->start_controls_section(
		 	'section_Jnza43wt8d8976H5b77duo',
		 	[
		 		'label' => __( 'Loadmore Button', 'rekko-core' ),
		 	]
		 );

		 $this->add_control(
			'loadmore_text',
			[
				'label' => __( 'Button Text', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Click Here', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
        );

		 $this->add_responsive_control(
			'button_text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'default'    => 'left',
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
		 		],
		 		'selectors' => [
					'{{WRAPPER}} .qwords-btn-container' => 'text-align: {{VALUE}};',
				]
			]
        );

		$this->end_controls_section();


		// Button Style Section
		$this->start_controls_section(
			'section_y8ubBfbAH1e2VwpN5be9',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,

			]
		);
		$this->add_control(
			'btn_style',
			[
				'label' => __( 'Button Style', 'rekko-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'btn-flat',
				'options' => [
					'btn-flat'  => __( 'Flat', 'rekko-core' ),
					'btn-outline' => __( 'Outline', 'rekko-core' ),
					'btn-link' => __( 'Link', 'rekko-core' ),

				],
			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'content_typography',
				'label' => __( 'Typography', 'rekko-core' ),

				'selector' => '{{WRAPPER}} .qwords-button span.text',
			]
		);
		$this->start_controls_tabs( 'tabs_button_style' );
		$this->start_controls_tab(
			'tab_button_normal',
			[
				'label' => __( 'Normal', 'elementor' ),
			]
		);
		$this->add_control(
			'button_text_color',
			[
				'label' => __( 'Text Color', 'elementor' ),
				'type' => Controls_Manager::COLOR,
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .qwords-button span.text , {{WRAPPER}} .qwords-button i' => 'color: {{VALUE}};',
				],
			]
		);

		$this->add_control(
			'background_color',
			[
				'label' => __( 'Background Color', 'elementor' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-btn-container .qwords-button' => 'background: {{VALUE}};',
				],
			]
		);


		$this->end_controls_tab();
		
		$this->start_controls_tab(
			'tab_button_hover',
			[
				'label' => __( 'Hover', 'elementor' ),
			]
		);
		$this->add_control(
			'hover_color',
			[
				'label' => __( 'Text Color', 'elementor' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover span.text , {{WRAPPER}} .qwords-button:hover i' => 'color: {{VALUE}};',
				],
			]
		);

		$this->add_control(
			'button_background_hover_color',
			[
				'label' => __( 'Background Color', 'elementor' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-button:hover' => 'background-color: {{VALUE}};',
				],
			]
		);

		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();
		 // Button End

		// Style tab start
		 $this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-grid   .qwords-portfolio-info span',
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-grid  .qwords-portfolio-info span' => 'color: {{VALUE}};',

		 		],


			]
		);

		$this->add_control(
			'head_subtitle',
			[
				'label' => __( 'Designation', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'subtitle_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-grid   .qwords-portfolio-info h5',

			]
		);

		$this->add_control(
			'sub_title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-grid  .qwords-portfolio-info h5' => 'color: {{VALUE}};',
		 		],


			]
		);



		$this->add_control(
			'head_filter_title',
			[
				'label' => __( 'Filter Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'filtertitle_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-filters .qwords-filter-button-group ul li',

			]
		);

		$this->add_control(
			'filter_title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-filters .qwords-filter-button-group ul li' => 'color: {{VALUE}};',
					'{{WRAPPER}} .qwords-filters .qwords-filter-button-group ul li.active, .qwords-filters .qwords-filter-button-group ul li.active:hover' => 'color: {{VALUE}};',
		 		],


			]
		);

		$this->add_control(
			'fil_active_title_color',
			[
				'label' => __( 'Active Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-filters .qwords-filter-button-group ul li.active, .qwords-filters .qwords-filter-button-group ul li.active:hover' => 'color: {{VALUE}};',
		 		],


			]
		);

    $this->add_control(
			'bg_filter_color',
			[
				'label' => __( 'Background ', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-filters .qwords-filter-button-group ul li.active, .qwords-filters .qwords-filter-button-group ul li.active:hover' => 'background: {{VALUE}};',
		 		],


			]
		);

		 $this->end_controls_section();

		 $this->start_controls_section(
			'section__2p08Z1',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		  $this->add_control(
			'icon_size_5128328987',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],

				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],

				'selectors' => [
					'{{WRAPPER}} .qwords-grid .qwords-portfolio-icon i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);


		$this->add_control(
					'icon_color',
					[
						'label' => __( 'Color', 'rekko-core' ),

						'type' => Controls_Manager::COLOR,
						'selectors' => [
							'{{WRAPPER}} .qwords-grid .qwords-portfolio-icon i' => 'color: {{VALUE}};',
				 		],


					]
				);


		 $this->end_controls_section();

		 // style tab end

	}

	protected function render() {
		$settings = $this->get_settings();
       require plugin_dir_path( __FILE__ ) . 'style-1.php';


         if ( Plugin::$instance->editor->is_edit_mode() ) : ?>



		<script>


		jQuery('.qwords-masonry').isotope({
          itemSelector: '.qwords-masonry-item',
            masonry: {
              columnWidth: '.grid-sizer',
              gutter: 0

            }

      });

      jQuery('.qwords-grid').isotope({
          itemSelector: '.qwords-grid-item',
      });

       jQuery('.qwords-filter-button-group').on( 'click', '.qwords-filter-btn', function() {

        var filterValue = jQuery(this).attr('data-filter');
        jQuery('.qwords-masonry').isotope({ filter: filterValue });
        jQuery('.qwords-grid').isotope({ filter: filterValue });
        jQuery('.qwords-filter-button-group .qwords-filter-btn').removeClass('active');
        jQuery(this).addClass('active');


        updateFilterCounts();

      });

	var initial_items = 5;
       var next_items = 3;

	if(jQuery('.qwords-masonry').length > 0)
		{
			var initial_items = jQuery('.qwords-masonry').data('initial_items');
			var next_items = jQuery('.qwords-masonry').data('next_items');
		}

		if(jQuery('.qwords-grid').length > 0)
		{
			var initial_items = jQuery('.qwords-grid').data('initial_items');
			var next_items = jQuery('.qwords-grid').data('next_items');
		}

	function showNextItems(pagination) {
		var itemsMax = jQuery('.visible_item').length;
		var itemsCount = 0;
		jQuery('.visible_item').each(function () {
			if (itemsCount < pagination) {
				jQuery(this).removeClass('visible_item');
				itemsCount++;
			}
		});
		if (itemsCount >= itemsMax) {
			jQuery('#showMore').hide();
		}

		if(jQuery('.qwords-masonry').length > 0)
		{
			jQuery('.qwords-masonry').isotope('layout');
		}

		if(jQuery('.qwords-grid').length > 0)
		{
			jQuery('.qwords-grid').isotope('layout');
		}



	}
	// function that hides items when page is loaded
	function hideItems(pagination) {
		var itemsMax = jQuery('.qwords-filter-items').length;
		console.log(itemsMax);
		var itemsCount = 0;
		jQuery('.qwords-filter-items').each(function () {
			if (itemsCount >= pagination) {
				jQuery(this).addClass('visible_item');
			}
			itemsCount++;
		});
		if (itemsCount < itemsMax || initial_items >= itemsMax) {
			jQuery('#showMore').hide();
		}
		if(jQuery('.qwords-masonry').length > 0)
		{
			jQuery('.qwords-masonry').isotope('layout');
		}

		if(jQuery('.qwords-grid').length > 0)
		{
			jQuery('.qwords-grid').isotope('layout');
		}
	}
	jQuery('#showMore').on('click', function (e) {
		e.preventDefault();
		showNextItems(next_items);
	});
	hideItems(initial_items);

	function updateFilterCounts() {
		// get filtered item elements
		if(jQuery('.qwords-masonry').length > 0)
		{
			var itemElems = jQuery('.qwords-masonry').isotope('getFilteredItemElements');
		}
		if(jQuery('.qwords-grid').length > 0)
		{
			var itemElems = jQuery('.qwords-grid').isotope('getFilteredItemElements');
		}


		var count_items = jQuery(itemElems).length;
		console.log(count_items);

		if (count_items > initial_items) {
			jQuery('#showMore').show();
		} else {
			jQuery('#showMore').hide();
		}
		if (jQuery('.qwords-filter-items').hasClass('visible_item')) {
			jQuery('.qwords-filter-items').removeClass('visible_item');
		}
		var index = 0;

		jQuery(itemElems).each(function () {
			if (index >= initial_items) {
				jQuery(this).addClass('visible_item');
			}
			index++;
		});
		if(jQuery('.qwords-masonry').length > 0)
		{
			jQuery('.qwords-masonry').isotope('layout');
		}

		if(jQuery('.qwords-grid').length > 0)
		{
			jQuery('.qwords-grid').isotope('layout');
		}
	}

		</script>

		<?php endif;
    }

}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Portfolio_grid() );