<?php
namespace Elementor;
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit;

class Rekko_Portfolio_info extends Widget_Base {

	public function get_name() {
		return __( 'rekko_portfolio_info', 'rekko' );
	}

	public function get_title() {
		return __( 'Portfolio Info', 'rekko' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }


	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-editor-list-ul';
	}
	protected function register_controls() {
		$this->start_controls_section(
			'list_section',
			[
				'label' => __( 'Portfolio Info', 'rekko' ),
			]
		);


		$this->add_control(
			'list_main_item_title',
			[
				'label' => __( 'Main Title', 'rekko' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'placeholder' => __( 'List Item', 'rekko' ),
				'default' => __( 'List Item', 'rekko' ),
				'dynamic' => [
					'active' => true,
				],
			]
		);

		$this->add_control(
			'info_description',
			[
				'label' => __( 'Description', 'rekko' ),
				'type' => Controls_Manager::TEXTAREA,
				'label_block' => true,
				'placeholder' => __( 'List Item', 'rekko' ),
				'dynamic' => [
					'active' => true,
				],
			]
		);

		$repeater = new Repeater();

        $repeater->add_control(
			'list_item_title',
			[
				'label' => __( 'Title', 'rekko' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'placeholder' => __( 'List Item', 'rekko' ),
				'default' => __( 'List Item', 'rekko' ),
				'dynamic' => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'list_item_sub_title',
			[
				'label' => __( 'Info', 'rekko' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'placeholder' => __( 'List Item', 'rekko' ),
				'default' => __( 'List Item', 'rekko' ),
				'dynamic' => [
					'active' => true,
				],
			]
		);

		 $this->add_control(
			'list',
			[
				'label' => __( 'List', 'rekko' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_item' => __( 'List 1', 'rekko' ),

					]

				]
			]
		);






		$this->end_controls_section();

		// Style
		 $this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko' ),
				'selector' => '{{WRAPPER}} .qwords-portfolio-info-box h5',
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio-info-box h5' => 'color: {{VALUE}};',


		 		],


			]
		);

		$this->add_control(
			'head_desc',
			[
				'label' => __( 'Description', 'rekko' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'desc_typography',
				'label' => __( 'Typography', 'rekko' ),
				'selector' => '{{WRAPPER}} .qwords-portfolio-info-box p',

			]
		);

		$this->add_control(
			'desc_title_color',
			[
				'label' => __( 'Color', 'rekko' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio-info-box p' => 'color: {{VALUE}};',
		 		],


			]
		);

		$this->add_control(
			'head_list_heading',
			[
				'label' => __( 'List heading', 'rekko' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',

			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'list_head_typography',
				'label' => __( 'Typography', 'rekko' ),
				'selector' => '{{WRAPPER}} .qwords-portfolio-info-box .qwords-porfolio-info ul li h5',
			]
		);

		$this->add_control(
			'list_head_color',
			[
				'label' => __( 'Color', 'rekko' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio-info-box .qwords-porfolio-info ul li h5' => 'color: {{VALUE}};',
		 		],


			]
		);

		$this->add_control(
			'head_list_title',
			[
				'label' => __( 'List Title', 'rekko' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'list_title_typography',
				'label' => __( 'Typography', 'rekko' ),
				'selector' => '{{WRAPPER}} .qwords-portfolio-info-box .qwords-porfolio-info ul li span',
			]
		);

		$this->add_control(
			'ls_title_color',
			[
				'label' => __( 'Color', 'rekko' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfolio-info-box .qwords-porfolio-info ul li span' => 'color: {{VALUE}};',

		 		],


			]
		);

		 $this->end_controls_section();

	}

	protected function render() {
		$settings = $this->get_settings();
       require plugin_dir_path( __FILE__ ) . 'style-1.php';
    }

}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Rekko_Portfolio_info() );