<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 

class Portfoliobox extends Widget_Base {

	public function get_name() {
		return __( 'portfoliobox', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'portfolio Slider', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
	}
    
	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-slider-album';
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_slider',
			[
				'label' => __( 'portfolio', 'rekko-core' ),
			]
		);

		$this->add_control(
			'selected_icon',
			[
				'label' => __('Icon', 'rekko-core'),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,

				'fa4compatibility' => 'icon',
				'separator' => 'before',
			]
		);

		
		$this->add_control('crop_images',
            array(
                'label'        => esc_html__('Crop Images','rekko-core' ),
                'type'         => Controls_Manager::SWITCHER,
                'default' => 'yes',
                'true'     => esc_html__( 'yes', 'rekko-core' ),
                'false'    => esc_html__( 'no', 'rekko-core' ),
                'return_value' => 'true',
                
            )
        );
        $this->add_control(
			'crop_height',
			[
				'label' => __( 'height', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your Image height', 'rekko-core' ),
				'label_block' => true,
				'condition' => [
					'crop_images' => 'true',
				],
			]
		);
		$this->add_control(
			'crop_weight',
			[
				'label' => __( 'weight', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'Enter your Image weight', 'rekko-core' ),
				'label_block' => true,
				'condition' => [
					'crop_images' => 'true',
				],

			]
		);
	

		$this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
                'type' => Controls_Manager::CHOOSE,
                'separator' => 'after',
                'default' => __( 'left', 'rekko-core' ),
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				],
			]
		);
        
        $this->end_controls_section();

        $this->start_controls_section(
			'section__2p080Z1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		
		$this->add_control(
			'head_cat',
			[
				'label' => __( 'Category', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		   $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'cat_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}}  .qwords-portfoliobox .qwords-portfolio-info .qwords-portfolio-link a',
			]
		);

            $this->add_control(
			'title_cat',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfoliobox .qwords-portfolio-info .qwords-portfolio-link a' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

        $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		   $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}}  .qwords-portfoliobox .qwords-portfolio-info h5 a',
			]
		);

            $this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfoliobox .qwords-portfolio-info h5 a' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);  

		$this->add_control(
			'title_hov_color',
			[
				'label' => __( 'Hover Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-portfoliobox-1 .qwords-portfolio-info h5 a:hover' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);  

         $this->end_controls_section(); 

         $this->start_controls_section(
			'section__2p08Z1',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		); 

		  $this->add_control(
			'icon_size_5128328987',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-portfoliobox-1 .qwords-portfolio-icon i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);

		 
		$this->add_control(
					'icon_color',
					[
						'label' => __( 'Color', 'rekko-core' ),
						
						'type' => Controls_Manager::COLOR,
						'selectors' => [
							'{{WRAPPER}} .qwords-portfoliobox-1 .qwords-portfolio-icon i' => 'color: {{VALUE}};',
				 		],
						
						
					]
				);

		 $this->end_controls_section();

		 $this->start_controls_section(
			'section__dgxgsatZ1xx',
			[
				'label' => __( 'Slider Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);  

		$slider = new Slider_Controls();
		$slider->slider_style($this);

		$this->end_controls_section();

        $this->start_controls_section(
			'section_control',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
			]
		);

		$slider = new Slider_Controls();
		$slider->slider_control($this);
			
		$this->end_controls_section();
      
	}
	
	protected function render() {
		$settings = $this->get_settings();
        //require plugin_dir_path( __FILE__ ) . 'style-1.php';
        require plugin_dir_path( __FILE__ ) . 'style-2.php';
 
        //if ( Plugin::$instance->editor->is_edit_mode() ) : 
		$slider = new Slider_Controls();
		$slider->load_owl_js();
		//endif; 
    }	    
		
}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Portfoliobox() );