<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 
class price_plan extends Widget_Base {
	public function get_name() {
		return __( 'price_plan', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Pricing Plan', 'rekko-core' );
	}
	public function get_categories() {
		return [ SCEW::get_category() ];
    }
	/**
	 * Get widget icon.
	 *
	 * Retrieve heading widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-price-table';
	}
	protected function register_controls() {
		$this->start_controls_section(
			'section_sfnkf',
			[
				'label' => __( 'Style', 'rekko-core' ),
			]
		);
		$this->add_control(
			'price_style',
			[
				'label' => __( 'Price Style', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => '1',
				'options' => [
					'1'  => __( 'Style 1', 'rekko-core' ),
				],
			]
		);

        
        $this->end_controls_section();
		$this->start_controls_section(
			'section_imge',
			[
				'label' => __( 'Pricing Plan', 'rekko-core' ),
			]
		);
		$this->add_control(
			'selected_icon_1',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'fas fa-check',
					'library' => 'fa-solid',
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
			]
		);
		// $this->add_control(
		// 	'bgimage',
		// 	[
		// 		'label' => __( 'Background Image', 'rekko-core'),
		// 		'type' => Controls_Manager::MEDIA,
		// 		'dynamic' => [
		// 			'active' => true,
		// 		],
		// 	]
		// );
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				
				'label_block' => true,
				'default' => __( 'Your Title Here', 'rekko-core' ),
			]
		);

		$this->add_control(
			'content-title',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'label_block' => true,
				'default' => __( 'Enter Content Here', 'rekko-core' ),
			]
		);
		
		$this->add_control(
			'price',
			[
				'label' => __( 'Price', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'label_block' => true,
				'default' => __( 'Enter Price', 'rekko-core' ),
				
			]
		);


		$this->add_control(
			'show_button',
			[
				'label' => __( 'Show/Hide button', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER,
				'yes' => __( 'yes', 'rekko-core' ),
				'no' => __( 'no', 'rekko-core' ),
			]
        );
		
		$this->add_control(
			'active',
			[
				'label' => __( 'Is Active?', 'elementor' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'label_off',
				'yes' => __( 'yes', 'rekko-core' ),
				'no' => __( 'no', 'rekko-core' ),
			]
		);
		
		$repeater = new Repeater();
		$repeater->add_control(
			'selected_icon_list_item',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'fas fa-check',
					'library' => 'fa-solid',
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
				
			]
		);
		$repeater->add_control(
			'tab_title',
			[
				'label' => __( 'Plan info List', 'rekko-core' ),
				'type' => Controls_Manager::WYSIWYG,
				'default' => __( 'List Item', 'rekko-core' ),
				'placeholder' => __( 'List Item', 'rekko-core' ),
				'label_block' => true,
				'separator' => 'before',
				'rows' => 10,
				
			]
		);

		$repeater->add_control(
			'enable_disable',
			[
				'label' => __( 'Enable/disable', 'rekko-core' ),
				'type' => Controls_Manager::SWITCHER ,
				'label_on' => __( 'Show', 'rekko-core' ),
				'label_off' => __( 'Hide', 'rekko-core' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
		
		$this->add_control(
			'tabs',
			[
				'label' => __( 'List Items', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'tab_title' => __( 'Tab #1', 'rekko-core' ),	
					]
					
				],
				'title_field' => '{{{ tab_title }}}',
			]
		);
		
		$this->end_controls_section();

		$this->start_controls_section(
			'section__2p090Z',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		 $this->add_responsive_control(
			'align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'options' => [
					'text-left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'text-center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'text-right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					],
					
				],
				
			]
		);
		$this->end_controls_section();

		// Style
		 $this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-pricebox .qwords-price-detail .qwords-price-title',
			]
		);
		 
		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-pricebox .qwords-price-detail .qwords-price-title' => 'color: {{VALUE}};',			
		 		],
				
				
			]
		);

		$this->add_control(
			'head_content',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		// $this->add_group_control(
		// 	Group_Control_Typography::get_type(),
		// 	[
		// 		'name' => 'content_typography',
		// 		'label' => __( 'Typography', 'rekko-core' ),				
		// 		'selector' => '{{WRAPPER}} .qwords-pricebox .qwords-pricebox-info .qwords-price-duration',
				 
		// 	]
		// );
		
		$this->add_control(
			'sub_title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-pricebox .qwords-price-detail .qwords-price-duration' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

		$this->add_control(
			'head_price',
			[
				'label' => __( 'Price', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'price_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-pricebox .qwords-price-detail .price',
			]
		);

		$this->add_control(
			'price_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-pricebox .qwords-price-detail .price' => 'color: {{VALUE}};',
		 		],
					
			]
		);

		$this->add_control(
			'head_list_title',
			[
				'label' => __( 'List Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'listtitle_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-pricebox .qwords-list-info span',
			]
		);

		$this->add_control(
			'listtitle_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-pricebox .qwords-list-info span' => 'color: {{VALUE}};',
					
		 		],
				
				
			]
		);
			
		 $this->end_controls_section();


		// Add Button
		$this->start_controls_section(
			'section_Jnza43wt8d9QH5b77yuyo',
			[
				'label' => __( 'Button', 'rekko-core' ),
			]
		);
		$btn = new Button_Controls();
		$btn->get_btn_controls($this);

		  
		 	 
	 // Button End


	}
	
	protected function render() {
		$settings = $this->get_settings();
		if($settings['price_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}
		
	}	    
	
}
Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\price_plan() );