<?php
namespace Elementor;

if (!defined('ABSPATH')) {
 exit;
}

$settings   = $this->get_settings();
$tabs       = $this->get_settings_for_display('tabs');
$align      = $settings['align'];


$active = $settings['active'];
if ($active === "yes") {
 $align .= ' active';
}
?>

<div class="qwords-pricebox qwords-pricebox-style-1 <?php echo esc_attr($align); ?>">
   <div class="qwords-price-detail">
      <div class="qwords-service-media">
         <i class="<?php echo $settings['selected_icon_1']['value'] ?> "></i>
      </div>
      <span class="qwords-price-title"> <?php echo esc_html($settings['title']); ?> </span>
      <h2 class="price"><?php echo esc_html($settings['price']); ?></h2>
      <p class="qwords-price-duration"><?php echo esc_html($settings['content-title']); ?></p>
   </div>
   <ul class="qwords-list-info">
        <?php
      foreach ($tabs as $index => $item) 
        {
        ?>
       <li> 
         <?php 
          if($item['enable_disable'] == 'yes')
          {

                
                $desc_html = $this->parse_text_editor($item['tab_title']);
                ?>
                 <i aria-hidden="true" class="<?php echo $item['selected_icon_list_item']['value']; ?> "></i>
                 <del><?php echo $desc_html; ?></del>
                 <?php
          }
          else
          {
                $desc_html = $this->parse_text_editor($item['tab_title']);
                ?>
                 <i aria-hidden="true" class="<?php echo $item['selected_icon_list_item']['value']; ?> "></i>
                 <span><?php echo $desc_html; ?></span>
                <?php
          }
          ?>
      </li>
      <?php 
      }
      ?>
   </ul>
   <?php if ($settings['show_button'] == 'yes') {
       require REKKO_CORE_DIR . '/includes/elementor/widgets/button/style.php'; 
         }                 
?> 
</div>