<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 

class Section_Title extends Widget_Base {

	public function get_name() {
		return __( 'section-title', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Section Title', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
	}

/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-site-title';
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_imagesaty',
			[
				'label' => __( 'Section Title', 'rekko-core' ),
			]
		);

		
		$this->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
		);
		


        $this->add_control(
			'sub_title',
			[
				'label' => __( 'Sub Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is sub title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
				
			]

        );
        
		
		$this->end_controls_section();
		 $this->start_controls_section(
			'section__2p08cZ',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		 $this->add_responsive_control(
			'content_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'options' => [
					'text-left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'text-center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'text-right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					],
					
				],
				
			]
		);
		$this->end_controls_section();
		

		 // Style
		 $this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
        
        $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-section-title .qwords-section-title',
			]
		);

		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-section-title .qwords-section-title' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

		$this->add_control(
			'head_sub_title',
			[
				'label' => __( 'Sub Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);
		
		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'subtitle_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-section-title .qwords-section-sub-title',
				 
			]
		);

		$this->add_control(
			'sub_title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-section-title .qwords-section-sub-title' => 'color: {{VALUE}};',
		 		],
				
				
			]
		);

		 $this->end_controls_section();
	}
	
	protected function render() {
		$settings = $this->get_settings();
        require plugin_dir_path( __FILE__ ) . 'style-1.php';	
    }
		
}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Section_Title() );