<?php
namespace Elementor;
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW; 
if ( ! defined( 'ABSPATH' ) ) exit; 

class Rekko_Service_Boxes extends Widget_Base {

	public function get_name() {
		return __( 'rekko_Service_Box', 'rekko-core' );
	}
	
	public function get_title() {
		return __( 'Service Box', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }

	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-info-box';
	}

	protected function register_controls() {
		
        $this->start_controls_section(

			'section5456456',

			[

				'label' => __( 'Style', 'rekko-core' ),

			]

		);


        $this->add_control(

			'service_style',

			[

				'label' => __( 'Service box Style', 'rekko-core' ),

				'type' => Controls_Manager::SELECT,

				'default' => '1',

				'options' => [
					'1'  => __( 'Style 1', 'rekko-core' ),
					'2'  => __( 'Style 2', 'rekko-core' ),
					'3'  => __( 'Style 3', 'rekko-core' ),
				],
		]

		);

        $this->end_controls_section();

		$this->start_controls_section(
			'section_image',
			[
				'label' => __( 'ServiceBox', 'rekko-core' ),
				'condition'=>[
					'service_style'=>['1','2'],
				],
			]

		);

		$this->add_control(
			'selected_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-arrow-dropright',
					'library' => 'fa-solid',
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
				'condition'=>[
					'service_style'=>['1','2'],
				],
			]
		);
		$this->add_control(
			'second_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-arrow-dropright',
					'library' => 'fa-solid',
				],
				'condition'=>[
					'service_style' => '1',
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',

			]
		);

		$this->add_control(
			'image',
			[
				'label' => __( 'Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],
				'condition'=>[
					'service_style'=>['1','2'],
				],
				
				
			]
		);

		$this->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is sub sample title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
				'condition'=>[
					'service_style'=>['1','2'],
				],
			]
        );
        

        $this->add_control(
			'title_tag',
			[
				'label' => __( 'Title Tag__', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'h5',
				'options' => [
					'h1'  => 'h1',
					'h2'  => 'h2',
					'h3'  => 'h3',
					'h4'  => 'h4',
					'h5'  => 'h5',
					'h6'  => 'h6',
					'p'  => 'p',
					'span'  => 'span',
				],
				'condition'=>[
					'service_style'=>['1','2'],
					
				],
				
			]
			
		);
		$this->add_control(
			'desc_text',
			[
				'label' => __( 'Description', 'rekko-core' ),
				'type' => Controls_Manager::WYSIWYG,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is Description', 'rekko-core' ),
				'placeholder' => __( 'Enter your Description', 'rekko-core' ),
				'label_block' => true,
				'condition'=>[
					'service_style'=>['1','2',],
				],
			]
        );
		$this->add_control(
			'service_active',
			[
				'label' => esc_html__( 'Active?', 'rekko-core' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'rekko-core' ),
				'label_off' => esc_html__( 'Hide', 'rekko-core' ),
				'return_value' => 'yes',
				'default' => '',
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'Service_box_style_3',
			[
				'label' => __( 'Service box ', 'rekko-core' ),
				'condition'=>[
					'service_style'=>['3'],
				],
			]
			);

		 	$repeater = new Repeater();
		 
		 	$repeater->add_control(
			'selected_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::ICONS,
				'label_block' => true,
				'default' => [
					'value' => 'ion ion-android-arrow-dropright',
					'library' => 'fa-solid',
				],
                'fa4compatibility' => 'icon',
				'separator' => 'before',
			]
			);

			
			$repeater->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is sub sample title', 'rekko-core' ),
				'placeholder' => __( 'Enter your title', 'rekko-core' ),
				'label_block' => true,
			]
        );

			$repeater->add_control(
			'title_tag',
			[
				'label' => __( 'Title Tag ', 'rekko-core' ),
				'type' => Controls_Manager::SELECT,
				'default' => 'h5',
				'options' => [
					'h1'  => 'h1',
					'h2'  => 'h2',
					'h3'  => 'h3',
					'h4'  => 'h4',
					'h5'  => 'h5',
					'h6'  => 'h6',
					'p'  => 'p',
					'span'  => 'span',
					
				],
				
			]	
		);
		$repeater->add_control(
		'desc_text',
		[
			'label' => __( 'Description', 'rekko-core' ),
			'type' => Controls_Manager::WYSIWYG,
			'dynamic' => [
				'active' => true,
			],
			'default' => __( 'This is Description', 'rekko-core' ),
			'placeholder' => __( 'Enter your Description', 'rekko-core' ),
			'label_block' => true,
		]
    );	
		$repeater->add_control(
			'button_text_name',
			[
				'label' => __( 'Button Name :', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Click here', 'rekko-core' ),
				'label_block' => true,
			]
        );

        $repeater->add_control(
			'btn_link_url',
			[
				'label' => __( 'Link', 'rekko-core' ),
				'type' => Controls_Manager::URL,
				'dynamic' => [
					'active' => true,
				],
				'placeholder' => __( 'https://your-link.com', 'rekko-core' ),
				'separator' => 'before',
			]
		);

		$this->add_control(
			'list_items_slider',
			[
				'label' => __( 'List', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'title_text_slider' => __( 'Item', 'rekko-core' ),	
					]
					
				],
				'title_field' => '{{{ title_text_slider }}}',
			]
		);

        
		$this->end_controls_section();

		$this->start_controls_section(
			'section_Jnza43wt8d9QH5b77dueereo',
			[
				'label' => __( 'Button', 'rekko-core' ),
				'condition'=>[
					'service_style'=>['1'],
				],
			]
		);

			$btn = new Button_Controls();
			$btn->get_btn_controls($this);


		$this->start_controls_section(
			'section__2p08cZ',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		 $this->add_responsive_control(
			'content_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'options' => [
					'text-left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'text-center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'text-right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					],
					
				],
				
			]
		);
		$this->end_controls_section();

		$this->start_controls_section(
			'section__2p08cZ1',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_title',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'title_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-service-box .qwords-service-box-title',
			]
		);
		 
		$this->add_control(
			'title_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-service-box .qwords-service-box-title' => 'color: {{VALUE}};',
					
		 		],
				
				
			]
		);
		$this->add_control(
			'head_desc',
			[
				'label' => __( 'Description', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'desc_typography',
				'label' => __( 'Typography', 'rekko-core' ),				
				'selector' => '{{WRAPPER}} .qwords-service-box p',
			]
		);
		 
		$this->add_control(
			'desc_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-service-box p' => 'color: {{VALUE}};',
					
		 		],
				
				
			]
		);	


		$this->end_controls_section();

		$this->start_controls_section(
			'section__2ui543Z1',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_icon',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_responsive_control(
			'font_size_5894524387',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-service-box .qwords-service-main-icon i , .qwords-service-box .qwords-service-grey-icon i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);
		 
		$this->add_control(
			'icon_color',
			[
				'label' => __( 'Color', 'rekko-core' ),
				
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-service-box .qwords-service-main-icon i , .qwords-service-box .qwords-service-grey-icon i' => 'color: {{VALUE}};',
					
		 		],
				
				
			]
		);
		$this->end_controls_section();
		$this->start_controls_section(
			'section_control',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
				'condition' => [
					'service_style' => ['3'], 
				]
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
			
		$this->end_controls_section();  
	
	}
	
	protected function render() {
	   $settings = $this->get_settings();

       	if($settings['service_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}
		elseif($settings['service_style'] == '2')
		{
			require plugin_dir_path( __FILE__ ) . 'style-2.php';		
		}
		else
		  {
			require plugin_dir_path( __FILE__ ) . 'style-3.php';		
		  }
		if ( Plugin::$instance->editor->is_edit_mode() ) : 
		$slider = new Slider_Controls();
		$slider->load_owl_js($this);
		endif; 

    }	    
		
}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Rekko_Service_Boxes() );