<?php
namespace Elementor;
if (!defined('ABSPATH')) {
	exit;
}

$settings = $this->get_settings();
$title_html = $settings['title_text'];


$this->add_render_attribute( 'btn_attr', 'class', 'qwords-button' );

if ( ! empty( $settings['btn_link']['url'] ) )
{
    $this->add_render_attribute( 'btn_attr', 'href', $settings['btn_link']['url'] );

    if ( $settings['btn_link']['is_external'] ) {
        $this->add_render_attribute( 'btn_attr', 'target', '_blank' );
    }

    if ( ! empty( $settings['btn_link']['nofollow'] ) ) {
        $this->add_render_attribute( 'btn_attr', 'rel', 'nofollow' );
    }
}

if($settings['btn_style'] == 'btn-flat')
{

  $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-flat' );
}

if($settings['btn_style'] == 'btn-outline')
{

  $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-outline' );
}

if($settings['btn_style'] == 'btn-link')
{

  $this->add_render_attribute( 'btn_attr', 'class', 'qwords-button-link' );
}


if (!empty($settings['title_text'])) {

	$title_html = $settings['title_text'];

} else {

	$title_html = "This is sample title";

}

$title = sprintf('<%2$s class="qwords-service-box-title">%1$s</%2$s>',$title_html,$settings['title_tag'] );


$banner = '<div class="qwords-service-img"><img src="'.esc_url($settings['image']['url']).'" alt="'.esc_attr(__('servicebox' , 'rekko-core')).'" />
</div>';

if ($settings['service_style'] === "1")

{
?>
	<div class="qwords-service-box qwords-style-1 <?php echo $settings['content_align']; ?>">

		<?php echo $banner; ?>

		<div class="qwords-service-box-info">
	      <div class="qwords-flip-content">
	         <div class="qwords-flip-content-inner">
	            <div class="qwords-flip-front">
	               <div class="qwords-service-icon">
	                  <div class="qwords-service-main-icon">
	                     <i class="<?php echo esc_attr($settings['selected_icon']['value']);?>"></i>
	                  </div>
	                  <div class="qwords-service-grey-icon">
	                     <i class="<?php echo esc_attr($settings['second_icon']['value']);?>"></i>
	                  </div>
	               </div>
	               <?php echo $title; ?>
	            </div>
	            <div class="qwords-flip-back">
	               <div class="qwords-service-box-description">
	               	<?php
	               	if(!empty($settings['desc_text']))
	               	{
	               		$desc_html = $this->parse_text_editor($settings['desc_text']);
	               	}
	               	else
	               	{
	               		$desc_html = "";
	               	}
	               	?>
	                  <p><?php echo $desc_html; ?></p>
										<div class="qwords-button-block">
											<a <?php echo $this->get_render_attribute_string('btn_attr'); ?>>
											<span class="text"><?php echo esc_html($settings['button_text']); ?></span>
											<i class="ion-plus"></i>
											</a>
										</div>
	               </div>
	            </div>
	         </div>
	      </div>
		</div>

	</div>

	<?php

}

?>

