<?php
namespace Elementor;
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit;

class Rekko_teams extends Widget_Base {

	public function get_name() {
		return __( 'teams', 'rekko-core' );
	}

	public function get_title() {
		return __( 'Team', 'rekko-core' );
	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }



	/**
	 * Get widget icon.
	 *
	 * Retrieve counter widget icon.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-lock-user';
	}

	protected function register_controls() {

		$this->start_controls_section(
			'section235644',
			[
				'label' => __( 'Style', 'rekko-core' ),
			]
		);


		 $this->add_control(
			'team_style',
			[
				'label'      => __( 'Style', 'rekko-core' ),
				'type'       => Controls_Manager::SELECT,
				'default'    => '1',
				'options'    => [
					'1'          => __( 'style 1', 'rekko-core' ),
					'2'          => __( 'style 2', 'rekko-core' ),
				],
			]
		);
        $this->end_controls_section();
        $this->start_controls_section(
			'section789043',
			[
				'label' => __( 'Single Style', 'rekko-core' ),
				'condition' => [
					'team_style' => '1',
				],
			]
		);

		$repeater = new Repeater();
		$repeater->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],

			]
		);
		$repeater->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is title', 'rekko-core' ),
				'placeholder' => __( 'Enter  title', 'rekko-core' ),
				'label_block' => true,

			]
        );
        $repeater->add_control(
			'sub_title_text',
			[
				'label' => __( 'Designation', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Designation', 'rekko-core' ),
				'label_block' => true,

			]
        );

        $repeater->add_control(
			'social_icon_lists',
			[
				'label' => __( 'Social Icons', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'default' => [
					[
						'social' => 'fa fa-facebook',
					],
					[
						'social' => 'fa fa-twitter',
					],
					[
						'social' => 'fa fa-google-plus',
					],
				],
				 'fields' => [
					[
						'name' => 'social',
						'label' => __( 'Icon', 'rekko-core' ),
						'type' => Controls_Manager::ICON,
						'label_block' => true,
						'default' => 'fa fa-wordpress',
						'include' => [
							'fa fa-apple',
							'fa fa-behance',
							'fa fa-bitbucket',
							'fa fa-codepen',
							'fa fa-delicious',
							'fa fa-digg',
							'fa fa-dribbble',
							'fa fa-envelope',
							'fa fa-facebook',
							'fa fa-flickr',
							'fa fa-foursquare',
							'fa fa-github',
							'fa fa-google-plus',
							'fa fa-houzz',
							'fa fa-instagram',
							'fa fa-jsfiddle',
							'fa fa-linkedin',
							'fa fa-medium',
							'fa fa-odnoklassniki',
							'fa fa-meetup',
							'fa fa-pinterest',
							'fa fa-product-hunt',
							'fa fa-reddit',
							'fa fa-shopping-cart',
							'fa fa-slideshare',
							'fa fa-snapchat',
							'fa fa-soundcloud',
							'fa fa-spotify',
							'fa fa-stack-overflow',
							'fa fa-telegram',
							'fa fa-tripadvisor',
							'fa fa-tumblr',
							'fa fa-twitch',
							'fa fa-twitter',
							'fa fa-vimeo',
							'fa fa-vk',
							'fa fa-weibo',
							'fa fa-weixin',
							'fa fa-whatsapp',
							'fa fa-wordpress',
							'fa fa-xing',
							'fa fa-yelp',
							'fa fa-youtube',
						],
					],
					[
						'name' => 'link',
						'label' => __( 'Link', 'rekko-core' ),
						'type' => Controls_Manager::URL,
						'label_block' => true,
						'default' => [
							'is_external' => 'true',
						],
						'placeholder' => __( 'http://your-link.com', 'rekko-core' ),
					],
				],

			]
		);


		$this->add_control(
			'tabs',
			[
				'label' => __( 'Tabs Items', 'rekko-core' ),

				'type' => Controls_Manager::REPEATER,

				'fields' => $repeater->get_controls(),

				'default' => [

					[

						'title_text' => __( 'Title', 'rekko-core' ),

					]

				]

			]

		);


        $this->add_responsive_control(
			'text_align',
			[
				'label' => __( 'Alignment', 'rekko-core' ),
				'type' => Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => __( 'Left', 'rekko-core' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => __( 'Center', 'rekko-core' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => __( 'Right', 'rekko-core' ),
						'icon' => 'eicon-text-align-right',
					]
				],
				'selectors' => [
					'{{WRAPPER}} .qwords-team' => 'text-align: {{VALUE}}',
				],
			]
		);

        $this->end_controls_section();

        $this->start_controls_section(
			'section_control',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
				'condition' => [
					'team_style' => '1',
				],			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
			

		$this->end_controls_section();
        $this->start_controls_section(
			'section789043AD',
			[
				'label' => __( 'Single Style', 'rekko-core' ),
				'condition' => [
					'team_style' => '2',
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label' => __( 'Choose Image', 'rekko-core'),
				'type' => Controls_Manager::MEDIA,
				'dynamic' => [
					'active' => true,
				],

			]
		);
		$this->add_control(
			'title_text',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'This is title', 'rekko-core' ),
				'placeholder' => __( 'Enter  title', 'rekko-core' ),
				'label_block' => true,

			]
        );
        $this->add_control(
			'sub_title_text',
			[
				'label' => __( 'Designation', 'rekko-core' ),
				'type' => Controls_Manager::TEXT,
				'dynamic' => [
					'active' => true,
				],
				'default' => __( 'Designation', 'rekko-core' ),
				'label_block' => true,

			]
        );

        $this->add_control(
			'social_icon_lists',
			[
				'label' => __( 'Social Icons', 'rekko-core' ),
				'type' => Controls_Manager::REPEATER,
				'default' => [
					[
						'social' => 'fa fa-facebook',
					],
					[
						'social' => 'fa fa-twitter',
					],
					[
						'social' => 'fa fa-google-plus',
					],
				],
				 'fields' => [
					[
						'name' => 'social',
						'label' => __( 'Icon', 'rekko-core' ),
						'type' => Controls_Manager::ICON,
						'label_block' => true,
						'default' => 'fa fa-wordpress',
						'include' => [
							'fa fa-apple',
							'fa fa-behance',
							'fa fa-bitbucket',
							'fa fa-codepen',
							'fa fa-delicious',
							'fa fa-digg',
							'fa fa-dribbble',
							'fa fa-envelope',
							'fa fa-facebook',
							'fa fa-flickr',
							'fa fa-foursquare',
							'fa fa-github',
							'fa fa-google-plus',
							'fa fa-houzz',
							'fa fa-instagram',
							'fa fa-jsfiddle',
							'fa fa-linkedin',
							'fa fa-medium',
							'fa fa-odnoklassniki',
							'fa fa-meetup',
							'fa fa-pinterest',
							'fa fa-product-hunt',
							'fa fa-reddit',
							'fa fa-shopping-cart',
							'fa fa-slideshare',
							'fa fa-snapchat',
							'fa fa-soundcloud',
							'fa fa-spotify',
							'fa fa-stack-overflow',
							'fa fa-telegram',
							'fa fa-tripadvisor',
							'fa fa-tumblr',
							'fa fa-twitch',
							'fa fa-twitter',
							'fa fa-vimeo',
							'fa fa-vk',
							'fa fa-weibo',
							'fa fa-weixin',
							'fa fa-whatsapp',
							'fa fa-wordpress',
							'fa fa-xing',
							'fa fa-yelp',
							'fa fa-youtube',
						],
					],
					[
						'name' => 'link',
						'label' => __( 'Link', 'rekko-core' ),
						'type' => Controls_Manager::URL,
						'label_block' => true,
						'default' => [
							'is_external' => 'true',
						],
						'placeholder' => __( 'http://your-link.com', 'rekko-core' ),
					],
				],

			]
		);

        $this->end_controls_section();
		//  // Style tab start
		 $this->start_controls_section(
			'section__897341',
			[
				'label' => __( 'Content', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_titles',
			[
				'label' => __( 'Title', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'titles_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-team .qwords-team-info h5',
			]
		);

		$this->add_control(
			'titles_colors',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-team .qwords-team-info h5' => 'color: {{VALUE}};',

		 		],


			]
		);

		$this->add_control(
			'heads_subtitles',
			[
				'label' => __( 'Designation', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'subtitles_typography',
				'label' => __( 'Typography', 'rekko-core' ),
				'selector' => '{{WRAPPER}} .qwords-team .qwords-team-info .qwords-team-designation',

			]
		);

		$this->add_control(
			'sub_titles_colors',
			[
				'label' => __( 'Color', 'rekko-core' ),

				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .qwords-team .qwords-team-info .qwords-team-designation' => 'color: {{VALUE}};',
		 		],


			]
		);

		 $this->end_controls_section();

		 $this->start_controls_section(
			'section__2p897Z1',
			[
				'label' => __( 'Icons', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		 $this->add_control(
			'head_icons',
			[
				'label' => __( 'Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		  $this->add_control(
			'icon_size_51283ui877',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],

				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],

				'selectors' => [
					'{{WRAPPER}} .qwords-team .qwords-team-social ul li a' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);


		$this->add_control(
					'icons_color',
					[
						'label' => __( 'Color', 'rekko-core' ),

						'type' => Controls_Manager::COLOR,
						'selectors' => [
							'{{WRAPPER}} .qwords-team .qwords-team-social ul li a' => 'color: {{VALUE}};',
				 		],


					]
				);


		 $this->end_controls_section();

		 $this->start_controls_section(
			'section__2p08xjexx',
			[
				'label' => __( 'Slider Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
				'condition' => [
					'team_style' => '1',
				],
			]
		);  

		$slider = new Slider_Controls();
		$slider->slider_style($this);

		$this->end_controls_section();
		 // style tab end




	}

	protected function render() {
		$settings = $this->get_settings();
       if($settings['team_style'] == "1")
        {
         require plugin_dir_path( __FILE__ ) . 'style-1.php';
        }
        else
        {
         require plugin_dir_path( __FILE__ ) . 'style-2.php';        	
        }

		if ( Plugin::$instance->editor->is_edit_mode() ) : ?>
		 <script>
		 jQuery('.owl-carousel').each(function() {
           var app_slider = jQuery(this);



           app_slider.owlCarousel({
               items: app_slider.data("desk_num"),
               loop: app_slider.data("loop"),
               margin: app_slider.data("margin"),
               nav: app_slider.data("nav"),
               dots: app_slider.data("dots"),
               autoplay: app_slider.data("autoplay"),
               autoplayTimeout: app_slider.data("autoplay-timeout"),
               navText: ["<i class='ion-ios-arrow-back'></i><span>Prev</span>", "<span>Next</span><i class='ion-ios-arrow-forward'></i>"],
               responsiveClass: true,
               responsive: {
                   // breakpoint from 0 up
                   0: {
                       items: app_slider.data("mob_sm"),
                       nav: false,
                       // dots: true
                   },
                   // breakpoint from 480 up
                   480: {
                       items: app_slider.data("mob_num"),
                       nav: false,
                       // dots: true
                   },
                   // breakpoint from 786 up
                   786: {
                       items: app_slider.data("tab_num")
                   },
                   // breakpoint from 1023 up
                   1023: {
                       items: app_slider.data("lap_num")
                   },
                   1199: {
                       items: app_slider.data("desk_num")
                   }
               }
           });
       });
		</script>

		<?php endif;
    }

}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Rekko_teams() );