<?php
namespace Elementor; 
use Rekko\Elementor_widgets\Rekko_Elementor_Init as SCEW;
if ( ! defined( 'ABSPATH' ) ) exit; 

class Rekko_testi extends Widget_Base {

	public function get_name() {

		return __( 'testimonial', 'rekko-core' );

	}

	public function get_title() {

		return __( 'Testimonial', 'rekko-core' );

	}

	public function get_categories() {
		return [ SCEW::get_category() ];
    }

    

	/**

	 * Get widget icon.

	 *

	 * Retrieve counter widget icon.

	 *

	 * @since 1.0.0

	 * @access public

	 *

	 * @return string Widget icon.

	 */

	public function get_icon() {

		return 'eicon-testimonial-carousel';

	}

	protected function register_controls() {

		$this->start_controls_section(

			'section254654',

			[

				'label' => __( 'Style', 'rekko-core' ),

			]

		);


        $this->add_control(

			'testimonial_style',

			[

				'label' => __( 'Testimonial Style', 'rekko-core' ),

				'type' => Controls_Manager::SELECT,

				'default' => '1',

				'options' => [

					'1'  => __( 'Style 1', 'rekko-core' ),	
					'2'  => __( 'Style 2', 'rekko-core' ),	
				],

			]

		);

        $this->end_controls_section();

		$this->start_controls_section(

			'section_slideraaa',

			[

				'label' => __( 'Testimonial', 'rekko-core' ),

			]

		);

		$repeater = new Repeater();

		$repeater->add_control(

			'image',

			[

				'label' => __( 'Choose Image', 'rekko-core'),

				'type' => Controls_Manager::MEDIA,

				'dynamic' => [

					'active' => true,

				],

			]

		);

		$repeater->add_control(

			'title_text',

			[

				'label' => __( 'client name', 'rekko-core' ),

				'type' => Controls_Manager::TEXT,

				'dynamic' => [

					'active' => true,

				],

				'default' => __( 'This is sample title', 'rekko-core' ),

				'placeholder' => __( 'Enter your title', 'rekko-core' ),

				'label_block' => true,

			]

        );

       

		$repeater->add_control(

			'desg_text',

			[

				'label' => __( 'designation', 'rekko-core' ),

				'type' => Controls_Manager::TEXT,

				'dynamic' => [

					'active' => true,

				],

				'default' => __( 'This is designation title', 'rekko-core' ),

				'placeholder' => __( 'Enter your title', 'rekko-core' ),

				'label_block' => true,

			]

        );

        $repeater->add_control(

			'star_num',

			[

				'label' => __( 'Ratings', 'rekko-core' ),

				'type' => Controls_Manager::SELECT,

				'options' => [

					'1'  => '1 star',

					'2'  => '2 star',

					'3'  => '3 star',

					'4'  => '4 star',

					'5'  => '5 star',

				],
		
				
			]

			

		);

       

		$repeater->add_control(

			'description_text',

			[

				'label' => __( 'Content', 'rekko-core' ),

				'type' => Controls_Manager::WYSIWYG,

				'dynamic' => [

					'active' => true,

				],

				'default' => __( 'Enter your Description here', 'rekko-core' ),

				'placeholder' => __( 'Enter your description', 'rekko-core' ),

				'separator' => 'before',

				'rows' => 10,

				'show_label' => true,

			]

		);

		$this->add_control(

			'tabs',

			[

				'label' => __( 'Tabs Items', 'rekko-core' ),

				'type' => Controls_Manager::REPEATER,

				'fields' => $repeater->get_controls(),

				'default' => [

					[

						'title_text' => __( 'Service Box', 'rekko-core' ),

					]

				]

			]

		);

        $this->end_controls_section();

        $this->start_controls_section(

			'section__2p08cZ',

			[

				'label' => __( 'Alignment', 'rekko-core' ),

				'tab' => Controls_Manager::TAB_STYLE,

			]

		);

		 $this->add_responsive_control(

			'content_align',

			[

				'label' => __( 'Alignment', 'rekko-core' ),

				'type' => Controls_Manager::CHOOSE,

				'options' => [

					'text-left' => [

						'title' => __( 'Left', 'rekko-core' ),

						'icon' => 'eicon-text-align-left',

					],

					'text-center' => [

						'title' => __( 'Center', 'rekko-core' ),

						'icon' => 'eicon-text-align-center',

					],

					'text-right' => [

						'title' => __( 'Right', 'rekko-core' ),

						'icon' => 'eicon-text-align-right',

					],

					

				],

				

			]

		);

		 $this->end_controls_section();

		 $this->start_controls_section(
			'section_control',
			[
				'label' => __( 'Slider Control', 'rekko-core' ),
			]
		);
		$slider = new Slider_Controls();
		$slider->slider_control($this);
			

		$this->end_controls_section();


		$this->start_controls_section(

			'section__2p08cZ1',

			[

				'label' => __( 'Content', 'rekko-core' ),

				'tab' => Controls_Manager::TAB_STYLE,

			]

		);

          $this->add_control(
			'head_name',
			[
				'label' => __( 'Name', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

           $this->add_group_control(

			Group_Control_Typography::get_type(),

			[

				'name' => 'member_name_typography',

				'label' => __( 'Typography', 'rekko-core' ),				

				'selector' => '{{WRAPPER}} .qwords-testimonial-meta h5',
			]

		);

      		$this->add_control(

			'member_name_color',

			[

				'label' => __( 'Color', 'rekko-core' ),

				

				'type' => Controls_Manager::COLOR,

				'selectors' => [

					'{{WRAPPER}} .qwords-testimonial-meta h5' => 'color: {{VALUE}};',



		 		],

			]

		);

      $this->add_control(
			'head_designation',
			[
				'label' => __( 'Designation', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);		


        $this->add_group_control(

			Group_Control_Typography::get_type(),

			[

				'name' => 'Designation_typography',

				'label' => __( 'Typography', 'rekko-core' ),				

				'selector' => '{{WRAPPER}} .qwords-testimonial-meta span',
	              

			]		 

		);		

		$this->add_control(

			'Designation_colors',

			[

				'label' => __( 'Color', 'rekko-core' ),

				

				'type' => Controls_Manager::COLOR,

				'selectors' => [

					'{{WRAPPER}} .qwords-testimonial-meta span' => 'color: {{VALUE}};',


		 		],	

			]

		);

		$this->add_control(
			'head_desc',
			[
				'label' => __( 'Description', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $this->add_group_control(

			Group_Control_Typography::get_type(),

			[

				'name' => 'descrition_typography',

				'label' => __( 'Typography', 'rekko-core' ),				

				'selector' => '{{WRAPPER}} .qwords-testimonial-info p',

			]

		);

        $this->add_control(

			'desc_color',

			[

				'label' => __( 'Color', 'rekko-core' ),

				

				'type' => Controls_Manager::COLOR,

				'selectors' => [

					'{{WRAPPER}} .qwords-testimonial-info p' => 'color: {{VALUE}};',
					

		 		],				

			]

		);

		 $this->end_controls_section();

		  $this->start_controls_section(

			'section__2p09Z1',

			[

				'label' => __( 'Icon', 'rekko-core' ),

				'tab' => Controls_Manager::TAB_STYLE,
				

			]

		);

		$this->add_control(
			'head_s_i',
			[
				'label' => __( 'Star Icon', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
				
				
			]
		);  
        
        $this->add_control(
			'star_size_512838987',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} i.fa.fa-star' => 'font-size: {{SIZE}}{{UNIT}};',
				],
				
			]
		);
        
        $this->add_control(

			'star',

			[

				'label' => __( 'Color', 'rekko-core' ),

				

				'type' => Controls_Manager::COLOR,

				'selectors' => [

					'{{WRAPPER}} i.fa.fa-star' => 'color: {{VALUE}};'

		 		],


			]

		);

		  $this->add_control(
			'head_quote',
			[
				'label' => __( 'Quote', 'rekko-core' ),
				'type' => Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

		 $this->add_control(

			'overlay_color',

			[

				'label' => __( 'Color', 'rekko-core' ),

				

				'type' => Controls_Manager::COLOR,

				'selectors' => [

					'{{WRAPPER}} .qwords-testimonial-box  .qwords-quote i' => 'color: {{VALUE}};'

		 		],	

			]

		); 

		$this->add_control(
			'quote_size_51283289ut',
			[
				'label' => __( 'Typography', 'rekko-core' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 1,
					],
					'%' => [
						'min' => 0,
						'max' => 100,
					],
				],
				
				'selectors' => [
					'{{WRAPPER}} .qwords-testimonial-box  .qwords-quote i' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);

		$this->add_control(

			'Overlay Opacity',

			[

				'label' => __( 'Opacity', 'rekko-core' ),

				'type' => Controls_Manager::NUMBER,

				'min' => 0,

				'max' => 1,

				'default' => '0.05',

				'selectors' => [

					'{{WRAPPER}} .qwords-testimonial-box  .qwords-quote i' => 'opacity: {{VALUE}};',

		 		],	

			]

		);		

		 $this->end_controls_section();

		 $this->start_controls_section(
			'section__2p080Z1xx',
			[
				'label' => __( 'Slider Style', 'rekko-core' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);  

		$slider = new Slider_Controls();
		$slider->slider_style($this);

		$this->end_controls_section();

	}

	protected function render() {

		$settings = $this->get_settings();

        if($settings['testimonial_style'] == '1')
		{
			require plugin_dir_path( __FILE__ ) . 'style-1.php';
		}
		elseif($settings['testimonial_style'] == '2')
		{
			require plugin_dir_path( __FILE__ ) . 'style-2.php';
		}

         // if ( Plugin::$instance->editor->is_edit_mode() ) :
		$slider = new Slider_Controls();
		$slider->load_owl_js($this);
		// endif; 



    }	    

		

}

Plugin::instance()->widgets_manager->register_widget_type( new \Elementor\Rekko_testi() );