<?php
/*
 * Banner Options
 */

Redux::setSection( $options, array(
    'title' => esc_html__('Banner','rekko-core'),
    'id'    => 'section_c93098b',
    'icon'  => 'eicon-banner',
    'desc'  => esc_html__('Section For Customize Breadcrumbs.','rekko-core'),
    'fields'=> array(

       array(
            'id' => 'info_c93098b',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Banner Layout Options', 'rekko-core') ,
        ) ,
        array(
            'id' => 'indent_c8138f9',
            'type' => 'section',
            'indent' => true        ) ,


        array(
            'id'        => 'enable_banner',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Enable Banner','rekko-core'),
            'options'   => array(
                            'yes' => esc_html__('Yes','rekko-core'),
                            'no' => esc_html__('No','rekko-core')
                        ),
            'default'   => esc_html__('yes','rekko-core')
        ),

        array(
            'id'        => 'display_breadcrumbs',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Breadcrumbs on Banner','rekko-core'),
            'options'   => array(
                            'yes' => esc_html__('Yes','rekko-core'),
                            'no' => esc_html__('No','rekko-core')
                        ),
            'required'  => array( 'enable_banner', '=', 'yes' ),

                'default'   => esc_html__('yes','rekko-core')
        ),

        array(
            'id'        => 'display_title',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Title on Banner','rekko-core'),
            'options'   => array(
                            'yes' => esc_html__('Yes','rekko-core'),
                            'no' => esc_html__('No','rekko-core')
                        ),
            'required'  => array( 'enable_banner', '=', 'yes' ),

            'default'   => esc_html__('yes','rekko-core')
        ),

        array(
            'id'            => 'breadcrumbs_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Breadcrumb Color', 'rekko-core' ),

            'mode'          => 'background',
            'required'  => array( 'enable_banner', '=', 'yes' ),
            'transparent'   => false
        ),

         array(
            'id'            => 'breadcrumbs_hover_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Breadcrumb Hover Color', 'rekko-core' ),

            'mode'          => 'background',
            'required'  => array( 'enable_banner', '=', 'yes' ),
            'transparent'   => false
        ),

         array(
            'id'            => 'breadcrumbs_active_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Breadcrumb Active Color', 'rekko-core' ),

            'mode'          => 'background',
            'required'  => array( 'enable_banner', '=', 'yes' ),
            'transparent'   => false
        ),

           array(
            'id'            => 'breadcrumbs_indicator_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Indicator Icon Color', 'rekko-core' ),

            'mode'          => 'color',
            'required'  => array( 'enable_banner', '=', 'yes' ),
            'transparent'   => false
        ),
        array(
            'id'            => 'title_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Title Color', 'rekko-core' ),

            'mode'          => 'background',
            'required'  => array( 'enable_banner', '=', 'yes' ),
            'transparent'   => false
        ),

        array(
            'id'       => 'banner_back_type',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Banner Background Type', 'rekko-core' ),

            'options'  => array(
                'color' => 'Color',
                'image' => 'Image',

            ),
            'default'  => 'color',
            'required'  => array( 'enable_banner', '=', 'yes' ),
        ),

        array(
            'id'       => 'banner_image',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Banner Background Image','rekko-core'),
            'read-only'=> false,
            'required'  => array( 'banner_back_type', '=', 'image' ),
            'subtitle' => esc_html__( 'Upload Image for your body.','rekko-core'),


        ),

        array(
            'id'            => 'banner_back_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Background Color', 'rekko-core' ),
            'subtitle'      => esc_html__( 'Choose Background Color', 'rekko-core' ),
            'required'  => array( 'banner_back_type', '=', 'color' ),
            'mode'          => 'background',
            'transparent'   => false,

        ),

    )
));
?>