<?php
/*
 * Blog Page Options
*/
Redux::setSection($options, array(
    'title' => esc_html__('Page', 'rekko-core') ,
    'id' => 'section_dab925e',
    'icon' => 'eicon-product-pages',
    'customizer_width' => '1000px',
));

// Blog Page Settings
Redux::setSection( $options, array(
    'title' => esc_html__('Blog Page Settings','rekko-core'),
    'id'    => 'section_0beceba',
    'subsection' => true,
    'desc'  => esc_html__('This section contains options for Pages.','rekko-core'),
    'fields'=> array(
        array(
            'id' => 'info__0beceba',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),

            'title' => __('Blog Page Options', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_0beceba',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id'       => 'blog_btn_text',
            'type'     => 'text',
            'title'    => esc_html__( 'Blog Button Name', 'rekko-core' ),
            'subtitle' => esc_html__( 'Change Blog Button Name in blog page and singal blog page', 'rekko-core' ),
            'default'  => esc_html__('Read More','rekko-core' ),
        ),
        array(
            'id' => 'info_general'.rand(10,1000),
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Blog Page Column Option', 'rekko-core') ,

        ) ,

        array(
            'id' => 'section-general'.rand(10,1000),
            'type' => 'section',
            'indent' => true
        ) ,

        Rekko_core_get_layout_options( 'blog' , 'column' , ''),

         array(
            'id' => 'info_general'.rand(10,1000),
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Blog Page Sidebar Options', 'rekko-core') ,

        ) ,

        array(
            'id' => 'section-general'.rand(10,1000),
            'type' => 'section',
            'indent' => true
        ) ,

      Rekko_core_get_layout_options( 'blog' , 'sidebar' , '' ),

        array(
            'id' => 'info_general'.rand(10,1000),
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),

            'title' => __('Blog Single Page Sider Options', 'rekko-core') ,
        ) ,

        array(
            'id' => 'section-general'.rand(10,1000),
            'type' => 'section',
            'indent' => true
        ) ,

        Rekko_core_get_layout_options( 'single_blog' , 'sidebar' , '' ),


        array(
            'id'        => 'enable_comment',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Comments','rekko-core'),
            'subtitle' => esc_html__( 'Turn on to display comments.','rekko-core'),
            'options'   => array(
                            'yes' => esc_html__('On','rekko-core'),
                            'no' => esc_html__('Off','rekko-core')
                        ),
            'default'   => esc_html__('yes','rekko-core')
        ),


    )
    ));
Redux::setSection( $options, array(
        'title' => esc_html__('404','rekko-core'),
        'id'    => 'fourzerofour-section',

        'subsection' => true,
        'desc'  => esc_html__('This section contains options for 404.','rekko-core'),
        'fields'=> array(
            array(
                'id' => 'info_general'.rand(10,1000),
                'type' => 'info',
                'style' => 'custom',
                'color' => sanitize_hex_color($color),

                'title' => __('404 Page Options', 'rekko-core') ,
            ) ,

            array(
                'id' => 'section-general'.rand(10,1000),
                'type' => 'section',
                'indent' => true
            ) ,


            array(
                'id'        => 'title_404',
                'type'      => 'text',
                'title'     => esc_html__( '404 Page Title','rekko-core'),
                'default'   => esc_html__( '404 Error','rekko-core' )
            ),
            array(
                'id'        => 'description_404',
                'type'      => 'textarea',
                'title'     => esc_html__( '404 Page Description','rekko-core'),
                'default'   => esc_html__( 'Oops! This Page is Not Found.','rekko-core' )
            ),
        ))
    );
?>