<?php
/*
 * Footer Options
 */

Redux::setSection( $options, array(
    'title' => esc_html__( 'Footer', 'rekko-core' ),
    'id'    => 'footer-editor',
    'icon'  => 'eicon-footer',
    'customizer_width' => '500px',
) );

Redux::setSection( $options, array(
    'title' => esc_html__('Footer Logo','rekko-core'),
    'id'    => 'footer-logo',

    'subsection' => true,
    'desc'  => esc_html__('This section contains options for footer.','rekko-core'),
    'fields'=> array(

      array(
            'id' => 'info_L6N7VDM05M',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('This section contain options for Footer logo', 'rekko-core-core') ,
        ) ,

        array(
            'id' => 'indentL6N7VDM05M',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id'       => 'logo_footer',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Footer Logo','rekko-core'),
            'read-only'=> false,

        ),

    )
));



Redux::setSection( $options, array(
    'title' => esc_html__('Footer Option','rekko-core'),
    'id'    => 'footer-section',

    'subsection' => true,
    'fields'=> array(

        array(
            'id' => 'info_N7VDM05M',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('This section contains options for footer', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_N7VDM05M',
            'type' => 'section',
            'indent' => true
        ) ,



        array(
            'id'        => 'footer_layout',
            'type'      => 'select',
            'title'     => esc_html__( 'Footer Layout Type','rekko-core' ),
            'subtitle'  => wp_kses( __( '<br />Choose among these structures (1column, 2column and 3column) for your footer section.<br />To filling these column sections you should go to appearance > widget.<br />And put every widget that you want in these sections.','rekko-core' ), array( 'br' => array() ) ),
            'options'   => array(
                                '1'  => esc_html__( 'Footer Layout 1','rekko-core' ),
                                '2'  => esc_html__( 'Footer Layout 2','rekko-core' ), 
                                '3'  => esc_html__( 'Footer Layout 3','rekko-core' ), 
                                '4'  => esc_html__( 'Footer Layout 4','rekko-core' ), 

                            ),
            'default'   => '4',
        ),
         array(
            'id' => 'footer_back_opt_switch',
            'type' => 'button_set',
            'title' => esc_html__('Background', 'rekko-core') ,

            'options' => array(
                'none' => esc_html__('none', 'rekko-core') ,
                'image' => esc_html__('Image', 'rekko-core') ,
                'color' => esc_html__('Color', 'rekko-core'),
            ) ,
            'default' => esc_html__('none', 'rekko-core')
        ) ,
         array(
            'id' => 'footer_back_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Image', 'rekko-core') ,
            'read-only' => false,
            'required' => array(
                'footer_back_opt_switch',
                '=',
                'image'
            ) ,
        ) ,

        array(
            'id' => 'footer_back_color',
            'type' => 'color',
            'title' => esc_html__('Color', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'footer_back_opt_switch',
                '=',
                'color'
            ) ,
            'transparent' => false
        ) ,
    )
));

Redux::setSection( $options, array(
    'title'      => esc_html__( 'Footer Copyright', 'rekko-core' ),
    'id'         => 'footer-copyright',

    'subsection' => true,
    'fields'     => array(
        array(
            'id' => 'info_7VDM05M',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('This section contains options Footer Copyright', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_7VDM05M',
            'type' => 'section',
            'indent' => true
        ) ,
        array(
            'id'        => 'rekko_copyright_text',
            'type'      => 'textarea',
            'title'     => esc_html__( 'Copyright Text','rekko-core'),
            'default'   => esc_html__( 'Copyright '.date('Y').' stremlab All Rights Reserved.','rekko-core'),
        ),

        // array(
        //     'id'        => 'rekko_copyright_link',
        //     'type'      => 'text',
        //     'title'     => esc_html__( 'Copyright Link','rekko-core'),
        //     'default'   => '#',
        // ),

    ))
);

Redux::setSection( $options, array(
    'title'      => esc_html__( 'Subscribe', 'rekko-core' ),
    'id'         => 'seozie-subscribe',

    'subsection' => true,
    'fields'     => array(

        array(
            'id' => 'info_7VM05M',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('This section contains options Subscription Block', 'interior-core') ,
        ) ,

        array(
            'id' => 'indent_7VM05M',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id'        => 'rekko_footer_subscribe',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Subscribe','rekko-core'),
            'subtitle' => esc_html__( 'Display Subscribe On All page', 'rekko-core' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','rekko-core'),
                            'no' => esc_html__('No','rekko-core')
                        ),
            'default'   => esc_html__('no','rekko-core')
        ),

          array(
            'id' => 'subscribe_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Subscription Image', 'interior-core') ,
            'read-only' => false,
            'required'  => array( 'rekko_footer_subscribe', '=', 'yes' ),
        ) ,

        array(
            'id'        => 'rekko_subscribe_title',
            'type'      => 'text',
            'title'     => esc_html__( 'Subscribe Title','rekko-core'),
            'required'  => array( 'rekko_footer_subscribe', '=', 'yes' ),

        ),

        array(
            'id'        => 'rekko_copyright_description',
            'type'      => 'textarea',
            'title'     => esc_html__( 'Subscribe Description','rekko-core'),
            'required'  => array( 'rekko_footer_subscribe', '=', 'yes' ),

        ),

        array(
            'id'        => 'rekko_subscribe_shortcode',
            'type'      => 'text',
            'title'     => esc_html__( 'Subscribe Shortcode','rekko-core'),
            'subtitle'  => wp_kses( __( '<br />Put you Mailchimp for WP Shortcode here','rekko-core' ), array( 'br' => array() ) ),
            'required'  => array( 'rekko_footer_subscribe', '=', 'yes' ),
        ),
    ))
);