<?php
/*
* Header Options
*/

Redux::setSection($options, array(
    'title' => esc_html__('Header', 'rekko-core') ,
    'id' => 'section_230ac35',
    'icon' => 'eicon-header',
    'customizer_width' => '500px',
));

Redux::setSection($options, array(
    'title' => esc_html__('Layout', 'rekko-core') ,
    'id' => 'section_09d4601',
    'subsection' => true,
    'desc' => esc_html__('Section For Customize Header', 'rekko-core') ,
    'fields' => array(

        array(
            'id' => 'info__09d4601',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Header Layout Options', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_09d4601',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id'        => 'pt_header_layout',
            'type'      => 'select',
            'title'     => esc_html__( 'Header Layout','rekko-core' ),


            'options'   => array(
                'default' => esc_html__( 'Default','rekko-core' ),
                'style-one' => esc_html__( 'Style One','rekko-core' ),
            ),
            'default'   => 'default',
        ),

        array(
            'id' => 'header_search_enable',
            'type' => 'button_set',
            'title' => esc_html__('Enable Search Button', 'rekko-core') ,

            'options' => array(
                'yes' => esc_html__('Yes', 'rekko-core') ,
                'no' => esc_html__('No', 'rekko-core')

            ) ,
            'default' => esc_html__('yes', 'rekko-core'),
            'required' => array('pt_header_layout', '=', array('default' ,'style-one' ) ) ,
        ) ,

        array(
            'id' => 'header_action_enable',
            'type' => 'button_set',
            'title' => esc_html__('Enable Action Button', 'rekko-core') ,

            'options' => array(
                'yes' => esc_html__('Yes', 'rekko-core') ,
                'no' => esc_html__('No', 'rekko-core')

            ) ,
            'default' => esc_html__('no', 'rekko-core'),
            'required' => array('pt_header_layout', '=', array('default')  ) ,
        ) ,

        array(
            'id' => 'action_btn_text',
            'type' => 'text',
            'title' => esc_html__('Action Button Text', 'rekko-core') ,
            'required' => array('header_action_enable', '=', array('yes' ) ) ,

        ) ,

        array(
            'id' => 'action_btn_url',
            'type' => 'text',
            'title' => esc_html__('Action Button Url', 'rekko-core') ,
            'required' => array('header_action_enable', '=', array('yes' ) ) ,

        ) ,

        array(
            'id' => 'action_back_color',
            'type' => 'color',
            'title' => esc_html__('Action Button Background', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'header_action_enable',
                '=',
                'yes'
            ) ,
            'transparent' => false
        ) ,
          array(
            'id' => 'action_back_hover_color',
            'type' => 'color',
            'title' => esc_html__('Action Button Hover Background', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'header_action_enable',
                '=',
                'yes'
            ) ,
            'transparent' => false
        ) ,

         array(
            'id' => 'action_text_color',
            'type' => 'color',
            'title' => esc_html__('Action Button Text', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'header_action_enable',
                '=',
                'yes'
            ) ,
            'transparent' => false
        ) ,
            array(
            'id' => 'action_text_hover_color',
            'type' => 'color',
            'title' => esc_html__('Action Button Text Hover', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'header_action_enable',
                '=',
                'yes'
            ) ,
            'transparent' => false
        ) ,

        array(
            'id' => 'header_contact_enable',
            'type' => 'button_set',
            'title' => esc_html__('Enable Contact Number', 'rekko-core') ,

            'options' => array(
                'yes' => esc_html__('Yes', 'rekko-core') ,
                'no' => esc_html__('No', 'rekko-core')

            ) ,
            'default' => esc_html__('yes', 'rekko-core'),
            'required' => array('pt_header_layout', '=', array('style-two' ) ) ,
        ) ,

        array(
            'id' => 'header_contact_text',
            'type' => 'text',
            'title' => esc_html__('Contact Text', 'rekko-core') ,
            'required' => array('header_contact_enable', '=', array('yes' ) ) ,

        ) ,
//Sidebar
        array(
            'id' => 'header_sidebar_enable',
            'type' => 'button_set',
            'title' => esc_html__('Enable Siderbar', 'rekko-core') ,

            'options' => array(
                'yes' => esc_html__('Yes', 'rekko-core') ,
                'no' => esc_html__('No', 'rekko-core')

            ) ,
            'default' => esc_html__('yes', 'rekko-core'),
            'required' => array('pt_header_layout', '=', array('style-one' ) ) ,
        ) ,
        array(
            'id' => 'sidebar_logo',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Image', 'rekko-core') ,
            'read-only' => false,
            'required' => array(
                'header_sidebar_enable',
                '=',
                'yes'
            ) ,
        ) ,

        array(
            'id' => 'sidebar_logo_dimenation',
            'type' => 'dimensions',
            'units' => array(
                'em',
                'px',
                '%'
            ) , // You can specify a unit value. Possible: px, em, %
            'units_extended' => 'true', // Allow users to select any type of unit
            'title' => esc_html__('Sidebar Logo (Width/Height) Option', 'rekko-core') ,
            'required' => array(
                'header_sidebar_enable',
                '=',
                'yes'
            ) ,

            ) ,

        array(
            'id'        => 'sidebar_desc',
            'type'      => 'textarea',
            'title'    => __('Enter Description', 'rekko-core'),
            'desc' => esc_html__('Enter Text', 'rekko-core') ,
            'required' => array(
                'header_sidebar_enable',
                '=',
                'yes'
            ) ,
        ),

        array(
            'id' => 'header_back_opt_switch',
            'type' => 'button_set',
            'title' => esc_html__('Background', 'rekko-core') ,

            'options' => array(
                'none' => esc_html__('none', 'rekko-core') ,
                'image' => esc_html__('Image', 'rekko-core') ,
                'color' => esc_html__('Color', 'rekko-core'),
                'transparent' => esc_html__('Transparent', 'rekko-core'),
                'dark' => esc_html__('Dark', 'rekko-core'),
                'white' => esc_html__('White', 'rekko-core')
            ) ,
            'default' => esc_html__('none', 'rekko-core')
        ) ,
        array(
            'id' => 'header_back_img',
            'type' => 'media',
            'url' => true,
            'title' => esc_html__('Image', 'rekko-core') ,
            'read-only' => false,
            'required' => array(
                'header_back_opt_switch',
                '=',
                'image'
            ) ,
        ) ,

        array(
            'id' => 'header_back_color',
            'type' => 'color',
            'title' => esc_html__('Color', 'rekko-core') ,

            'mode' => 'background',
            'required' => array(
                'header_back_opt_switch',
                '=',
                'color'
            ) ,
            'transparent' => false
        ) ,
        array(
            'id' => 'info__09d461',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Header Menu Color Options', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_09d601',
            'type' => 'section',
            'indent' => true
        ) ,
        array(
            'id' => 'menu_normal_color',
            'type' => 'color',
            'title' => esc_html__('Normal Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,
        array(
            'id' => 'menu_hover_color',
            'type' => 'color',
            'title' => esc_html__('Hover Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,

        array(
            'id' => 'menu_active_color',
            'type' => 'color',
            'title' => esc_html__('Active Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,

        array(
            'id' => 'info__09d61',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Header Sub Menu Color Options', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_09d01',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id' => 'sub_menu_normal_color',
            'type' => 'color',
            'title' => esc_html__('Normal Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,
        array(
            'id' => 'sub_menu_hover_color',
            'type' => 'color',
            'title' => esc_html__('Hover Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,

        array(
            'id' => 'sub_menu_active_color',
            'type' => 'color',
            'title' => esc_html__('Active Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,

        array(
            'id' => 'sub_menu_background_color',
            'type' => 'color',
            'title' => esc_html__('Background Color', 'rekko-core') ,

            'mode' => 'background',

            'transparent' => false
        ) ,

        array(
            'id' => 'sub_menu_background_hover_color',
            'type' => 'color',
            'title' => esc_html__('Background Hover Color', 'rekko-core') ,

            'mode' => 'background',
            'transparent' => false
        ) ,

        array(
            'id' => 'sub_menu_background_active_color',
            'type' => 'color',
            'title' => esc_html__('Background Active Color', 'rekko-core') ,

            'mode' => 'background',
            'transparent' => false
        ) ,

    )
));

//Top Header Options
Redux::setSection($options, array(
    'title' => esc_html__('Top Header', 'rekko-core') ,
    'id' => 'section_05b1956',
    'subsection' => true,
    'desc' => esc_html__('Section For Customize Top header.', 'rekko-core') ,
    'fields' => array(
        array(
            'id' => 'info__05b1956',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Top Header Setting', 'rekko-core') ,
        ) ,
        array(
            'id' => 'section_1b5c143',
            'type' => 'section',
            'indent' => true
        ) ,
        array(
            'id' => 'top_header_enable',
            'type' => 'button_set',
            'title' => esc_html__('Enable Top Header', 'rekko-core') ,
            'options' => array(
                'yes' => esc_html__('Yes', 'rekko-core') ,
                'no' => esc_html__('No', 'rekko-core')
            ) ,
            'default' => esc_html__('no', 'rekko-core')
        ) ,
        array(
            'id'        => 'pt_top_header_layout',
            'type'      => 'select',
            'title'     => esc_html__( 'Top Header Layout','rekko-core' ),
            'options'   => array(
                'social-right' => esc_html__( 'Social Right','rekko-core' ),
                'social-left' => esc_html__( 'Social Left','rekko-core' ),

            ),
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
            'default'   => 'social-right'
        ),
        array(
            'id' => 'top_header_text',
            'type' => 'text',
            'title' => esc_html__('Action Text', 'rekko-core') ,
            'required' => array(
                'pt_top_header_layout',
                '=',
                'social-style-two'
            ) ,
        ) ,
        array(
            'id'       => 'rekko_core_social_switch',
            'type'     => 'switch',
            'title'    => __('Display Socail Media In Header', 'rekko-core'),
            'default'  => true,
        ),
        array(
            'id'       => 'rekko_core_contact_switch',
            'type'     => 'switch',
            'title'    => __('Display Contact In Header', 'rekko-core'),
            'default'  => true,
        ),
        array(
            'id' => 'top_header_back_type',
            'type' => 'button_set',
            'title' => esc_html__('Top Header Background Type', 'rekko-core') ,
            'options' => array(
                'none' => esc_html__('none','rekko-core'),
                'image' => esc_html__('Image', 'rekko-core') ,
                'color' => esc_html__('color', 'rekko-core'),
                'transparent' => esc_html__('Transparent', 'rekko-core'),
                'dark' => esc_html__('Dark', 'rekko-core'),
                'white' => esc_html__('White', 'rekko-core')
            ) ,
            'default' => esc_html__('none', 'rekko-core'),
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
        ) ,
        array(
            'id' => 'top_header_back_color',
            'type' => 'color',
            'title' => esc_html__('Top Header Background Color', 'rekko-core') ,
            'default' => '#ffffff',
            'mode' => 'background',
            'transparent' => false,
            'required' => array(
                'top_header_back_type',
                '=',
                'color'
            ) ,
        ) ,
        array(
            'id' => 'top_header_back_img',
            'type' => 'media',
            'title' => esc_html__('Image', 'rekko-core') ,
            'default' => '#ffffff',
            'url'=>true,
            'required' => array(
                'top_header_back_type',
                '=',
                'image'
            ) ,
        ) ,
        array(
            'id' => 'top_header_text_color',
            'type' => 'color',
            'title' => esc_html__('Top Header Text Color', 'rekko-core') ,
            'mode' => 'background',
            'transparent' => false,
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
        ) ,
        array(
            'id' => 'top_header_text_hover_color',
            'type' => 'color',
            'title' => esc_html__('Top Header Text Hover Color', 'rekko-core') ,
            'mode' => 'background',
            'transparent' => false,
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
        ) ,
        array(
            'id' => 'top_header_icon_color',
            'type' => 'color',
            'title' => esc_html__('Top Header Icon Color', 'rekko-core') ,
            'mode' => 'background',
            'transparent' => false,
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
        ) ,
        array(
            'id' => 'top_header_icon_hover_color',
            'type' => 'color',
            'title' => esc_html__('Top Header Icon Hover Color', 'rekko-core') ,
            'mode' => 'background',
            'transparent' => false,
            'required' => array(
                'top_header_enable',
                '=',
                'yes'
            ) ,
        ) ,


    )
));

//Sticky Header Options
Redux::setSection($options, array(
    'title' => esc_html__('Sticky Header', 'rekko-core') ,
    'id' => 'section_00142ab',
    'subsection' => true,
    'desc' => esc_html__('Section For Customize Stikcy header.', 'rekko-core') ,
    'fields' => array(

        array(
            'id' => 'info__00142ab',
            'type' => 'info',
            'style' => 'custom',
            'color' => sanitize_hex_color($color),
            'title' => __('Sticky Header Settings', 'rekko-core') ,
        ) ,

        array(
            'id' => 'indent_general_ac21601',
            'type' => 'section',
            'indent' => true
        ) ,

        array(
            'id' => 'sticky_header_enable',
            'title' => esc_html__('Enable Sticky Header', 'rekko-core') ,
            'type' => 'switch',
            'default' => true,
        ) ,

    )
));

