<?php
function rekko_footer_logo() {
    register_widget( 'Pt_Footer_Logo' );
}
add_action( 'widgets_init', 'rekko_footer_logo' );

/*-------------------------------------------
		rekko Contact Information widget 
--------------------------------------------*/
class Pt_Footer_Logo extends WP_Widget {
 
	function __construct() {
		parent::__construct(
 
			// Base ID of your widget
			'Pt_Footer_Logo', 
			
			// Widget name will appear in UI
			esc_html('Footer Logo', 'rekko'), 
 
			// Widget description
			array( 'description' => esc_html( 'Footer Logo. ', 'rekko' ), ) 
		);
	}
 
	// Creating widget front-end
	
	public function widget( $args, $instance ) {

		global $wp_registered_sidebars;
		$qwords_options = get_option('qwords_options');
		$logo = "";

		// print_r($qwords_options['rekko_social']);

		
        if ( ! isset( $args['widget_id'] ) ) {
			$args['widget_id'] = $this->id;
		}

		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : false;
		
		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );

		$footer_about = isset( $instance['footer_about'] ) ? $instance['footer_about'] : false;
		
		if(!empty($qwords_options['logo_footer']['url']))
		{
			$logo = $qwords_options['logo_footer']['url'];
		}

		/* here add extra display item  */ 
		?>
		<div class="widget">
			<?php 
			if ( $title ) {
				echo ($args['before_title'] . $title . $args['after_title']);
			} ?>
			<div class="row">
				<div class="col-sm-12">
					<?php 
					if(!empty($logo))
					{ 
						?>
					<img src="<?php echo esc_url($logo) ?>" class="qwords-footer-logo" alt="<?php esc_attr_e('rekko-footer-logo','rekko'); ?>">
					<?php 
				}
				?>					
					<?php
					if($footer_about)
					{ 
						?>
						<p><?php echo esc_html($footer_about); ?></p>
					<?php
					}
					?>
				    <div class="qwords-footer-social">
				        <ul>
			            <?php
			            if(isset($qwords_options['social']))
			            {
			            	foreach ($qwords_options['social'] as $key => $value) 
			            	{
				                if(!empty($value))
				                {
				                  ?>
				                  <li>
				                  	<a href="<?php echo esc_url($value); ?>">
				                  		<i class="fab <?php echo esc_attr($key); ?>"></i>
					                </a>
				              	  </li>
				                <?php 
				            	}	 
			        		} 
			    		}?>
			            </ul>
				    </div>
					</div>
				</div>
			</div>	
		
	<?php	
	}
         
	// Widget Backend 
	public function form( $instance ) {
		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
		
		$footer_about = isset( $instance['footer_about'] ) ? esc_html($instance['footer_about'])  : false;	
		?>
		
		<p><label for="<?php echo esc_html($this->get_field_id( 'title','rekko' )); ?>"><?php esc_html_e( 'Title:','rekko' ); ?></label>
		<input class="widefat" id="<?php echo esc_html($this->get_field_id( 'title','rekko' )); ?>" name="<?php echo esc_html($this->get_field_name( 'title','rekko')); ?>" type="text" value="<?php echo esc_html($title,'rekko'); ?>" /></p>
		
		<p>
			<textarea class="widefat" id="<?php echo esc_html($this->get_field_id( 'footer_about','rekko' )); ?>" name="<?php echo esc_html($this->get_field_name( 'footer_about','rekko')); ?>" placeholder="<?php esc_attr__('Enter description text here' , 'rekko') ?>"><?php echo esc_html($footer_about); ?></textarea>
		</p>
		
		<?php 					
	}

	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		$instance['footer_about'] = sanitize_text_field( $new_instance['footer_about'] );
		
        return $instance;
	}
} 
/*---------------------------------------
		Class wpb_widget ends here
----------------------------------------*/	
