(function(jQuery) {
    "use strict";
    var registerDependencies = function() {
            if (null != PluginJsConfig && null != PluginJsConfig.js_dependencies) {
                var js_dependencies = PluginJsConfig.js_dependencies;
                for (var dependency in js_dependencies) {
                    asyncloader.register(js_dependencies[dependency], dependency);
                }
            }
            // console.log(PluginJsConfig.js_dependencies);
        },
        timer = function() {
            jQuery('.timer').countTo();
        },
        isotope = function() {
            jQuery('.qwords-masonry').isotope({
                itemSelector: '.qwords-masonry-item',
                masonry: {
                    columnWidth: '.grid-sizer',
                    // gutter: 0
                }
            });
            jQuery('.qwords-grid').isotope({
                itemSelector: '.qwords-grid-item',
            });
            jQuery('.qwords-filter-button-group').on('click', '.qwords-filter-btn', function() {
                var filterValue = jQuery(this).attr('data-filter');
                // console.log(filterValue);
                jQuery('.qwords-masonry').isotope({
                    filter: filterValue
                });
                jQuery('.qwords-grid').isotope({
                    filter: filterValue
                });
                jQuery('.qwords-filter-button-group .qwords-filter-btn').removeClass('active');
                jQuery(this).addClass('active');
                updateFilterCounts();
            });
            var initial_items = 5;
            var next_items = 3;
            if (jQuery('.qwords-masonry').length > 0) {
                var initial_items = jQuery('.qwords-masonry').data('initial_items');
                var next_items = jQuery('.qwords-masonry').data('next_items');
            }
            if (jQuery('.qwords-grid').length > 0) {
                var initial_items = jQuery('.qwords-grid').data('initial_items');
                var next_items = jQuery('.qwords-grid').data('next_items');
            }

            function showNextItems(pagination) {
                var itemsMax = jQuery('.visible_item').length;
                var itemsCount = 0;
                jQuery('.visible_item').each(function() {
                    if (itemsCount < pagination) {
                        jQuery(this).removeClass('visible_item');
                        itemsCount++;
                    }
                });
                if (itemsCount >= itemsMax) {
                    jQuery('#showMore').hide();
                }
                if (jQuery('.qwords-masonry').length > 0) {
                    jQuery('.qwords-masonry').isotope('layout');
                }
                if (jQuery('.qwords-grid').length > 0) {
                    jQuery('.qwords-grid').isotope('layout');
                }
            }
            // function that hides items when page is loaded
            function hideItems(pagination) {
                var itemsMax = jQuery('.qwords-filter-items').length;
                // console.log(itemsMax);
                var itemsCount = 0;
                jQuery('.qwords-filter-items').each(function() {
                    if (itemsCount >= pagination) {
                        jQuery(this).addClass('visible_item');
                    }
                    itemsCount++;
                });
                if (itemsCount < itemsMax || initial_items >= itemsMax) {
                    jQuery('#showMore').hide();
                }
                if (jQuery('.qwords-masonry').length > 0) {
                    jQuery('.qwords-masonry').isotope('layout');
                }
                if (jQuery('.qwords-grid').length > 0) {
                    jQuery('.qwords-grid').isotope('layout');
                }
            }
            jQuery('#showMore').on('click', function(e) {
                e.preventDefault();
                showNextItems(next_items);
            });
            hideItems(initial_items);

            function updateFilterCounts() {
                // get filtered item elements
                if (jQuery('.qwords-masonry').length > 0) {
                    var itemElems = jQuery('.qwords-masonry').isotope('getFilteredItemElements');
                }
                if (jQuery('.qwords-grid').length > 0) {
                    var itemElems = jQuery('.qwords-grid').isotope('getFilteredItemElements');
                }
                var count_items = jQuery(itemElems).length;
                // console.log(count_items);
                if (count_items > initial_items) {
                    jQuery('#showMore').show();
                } else {
                    jQuery('#showMore').hide();
                }
                if (jQuery('.qwords-filter-items').hasClass('visible_item')) {
                    jQuery('.qwords-filter-items').removeClass('visible_item');
                }
                var index = 0;
                jQuery(itemElems).each(function() {
                    if (index >= initial_items) {
                        jQuery(this).addClass('visible_item');
                    }
                    index++;
                });
                if (jQuery('.qwords-masonry').length > 0) {
                    jQuery('.qwords-masonry').isotope('layout');
                }
                if (jQuery('.qwords-grid').length > 0) {
                    jQuery('.qwords-grid').isotope('layout');
                }
            }
        },
        owl_carousel = function() {
            jQuery('.owl-carousel').each(function() {
                var app_slider = jQuery(this);
                var rtl = false;
                var prev = 'ion-ios-arrow-back';
                var next = 'ion-ios-arrow-forward';
                var prev_text = 'Prev';
                var next_text = 'Next';
                if (jQuery('body').hasClass('qwords-is-rtl')) {
                    rtl = true;
                    prev = 'ion-ios-arrow-forward';
                    next = 'ion-ios-arrow-back';
                }
                if (app_slider.data('prev_text') && app_slider.data('prev_text') != '') {
                    prev_text = app_slider.data('prev_text');
                }
                if (app_slider.data('next_text') && app_slider.data('next_text') != '') {
                    next_text = app_slider.data('next_text');
                }
                app_slider.owlCarousel({
                    rtl: rtl,
                    items: app_slider.data("desk_num"),
                    loop: app_slider.data("loop"),
                    margin: app_slider.data("margin"),
                    nav: app_slider.data("nav"),
                    dots: app_slider.data("dots"),
                    loop: app_slider.data("loop"),
                    autoplay: app_slider.data("autoplay"),
                    autoplayHoverPause: true,
                    autoplayTimeout: app_slider.data("autoplay-timeout"),
                    navText: ["<i class='" + prev + "'></i>", "<i class='" + next + "'></i>"],
                    responsiveClass: true,
                    responsive: {
                        // breakpoint from 0 up
                        0: {
                            items: app_slider.data("mob_sm"),
                            nav: false,
                            //dots: false
                        },
                        // breakpoint from 480 up
                        480: {
                            items: app_slider.data("mob_num"),
                            nav: false,
                            //dots: false
                        },
                        // breakpoint from 786 up
                        786: {
                            items: app_slider.data("tab_num")
                        },
                        // breakpoint from 1023 up
                        1023: {
                            items: app_slider.data("lap_num")
                        },
                        1199: {
                            items: app_slider.data("desk_num")
                        }
                    }
                }).trigger('refresh.owl.carousel');
            });
        },
        pop_video = function() {
            jQuery('.popup-youtube, .popup-vimeo, .popup-gmaps, .button-play').magnificPopup({
                type: 'iframe',
                mainClass: 'mfp-fade',
                preloader: true,
            });
        },
        circle_progress = function() {
            jQuery('.qwords-circle-progress-bar').each(function() {
                var number = jQuery(this).data('skill-level');
                var empty_color = jQuery(this).data('empty-color');
                var fill_color = jQuery(this).data('fill-color');
                var size = jQuery(this).data('size');
                var thickness = jQuery(this).data('thickness');
                jQuery(this).circleProgress({
                    value: '0.' + number,
                    size: size,
                    emptyFill: empty_color,
                    fill: {
                        color: fill_color
                    }
                }).on('circle-animation-progress', function(event, progress) {
                    jQuery(this).find('.qwords-progress-count').html(Math.round(number * progress) + '%');
                });
            });
        },
        progress_bar = function() {
            jQuery('.qwords-progress-bar > span').each(function() {
                var app_slider = jQuery('.qwords-progressbar-box');
                jQuery(this).progressBar({
                    shadow: false,
                    animation: true,
                    height: app_slider.data('h'),
                    percentage: false,
                    border: false,
                    animateTarget: true,
                });
        
            });
        },
        accordion = function() {
            jQuery('.qwords-accordion-block .qwords-accordion-box .qwords-accordion-details').hide();
            jQuery('.qwords-accordion-block .qwords-accordion-box:first').addClass('qwords-active').children().slideDown('slow');
            jQuery('.qwords-accordion-block .qwords-accordion-box').on("click", function() {
                if (jQuery(this).children('div.qwords-accordion-details').is(':hidden')) {
                    jQuery('.qwords-accordion-block .qwords-accordion-box').removeClass('qwords-active').children('div.qwords-accordion-details').slideUp('slow');
                    jQuery(this).toggleClass('qwords-active').children('div.qwords-accordion-details').slideDown('slow');
                }
            });
        };
    jQuery(document).ready(function() {
        registerDependencies();
        if (jQuery('.timer').length > 0) {
            asyncloader.require(['jquery.countTo'], function() {
                timer();
            });
        }
        if (jQuery('.owl-carousel')) {
            asyncloader.require(['owl.carousel'], function() {
                owl_carousel();
            });
        }
        if (jQuery('.popup-youtube, .popup-vimeo, .popup-gmaps, .button-play').length > 0) {
            asyncloader.require(['jquery.magnific-popup'], function() {
                pop_video();
            });
        }
        if (jQuery('.qwords-circle-progress-bar').length > 0) {
            asyncloader.require(['circle-progress'], function() {
                circle_progress();
            });
        }
        if (jQuery('.qwords-progressbar-box').length > 0) {
            asyncloader.require(['progressbar.js'], function() {
                progress_bar();
            });
        }
        jQuery('p:empty').remove();
        // jQuery(window).on('.content-area', function(e) {
        //     console.log(e);
        // });
        if (jQuery('.qwords-masonry , .qwords-grid ').length > 0) {
            asyncloader.require(['isotope.pkgd'], function() {
                isotope();
            });
        }
    });
    jQuery(window).on('load', function(e) {
        if (jQuery('.owl-carousel')) {
            asyncloader.require(['owl.carousel'], function() {
                owl_carousel();
            });
        }
        // console.log('onload');
        // jQuery('img').each(function() {
        //     jQuery(this).attr('height', jQuery(this).height() + 'px');
        //     jQuery(this).attr('width', jQuery(this).width() + 'px');
        // });
    });
})(jQuery);